Welcome

Welcome to Silicon Mindset Process Revolution 2002(SE)

Create Process Diagrams, Flow Charts, Knowledge Trees, Business Diagrams, Logic Diagrams, Block Diagrams and more.

Work Easier, Faster and More intelligently with the most Advanced and Intuitive interface you can find anywhere at any price.


What Can Process Revolution Do
Process Revolution is primarily used in the areas of Process Flow Charting and Process Documentation. Simply put Process Revolution is a multi faceted application that in its most basic use allow for the creation of:

· Block Diagrams
· Flow Charts
· State Diagrams
· Process Diagrams
· Process Flows
· Business Diagrams
...and much more

Once basic familiarity is gained with the product more advanced areas of the product can be learned such as

· Adding user defined Object Types, Categories and Properties
· Using Automatic Diagram Layout Algorithms
· Generating Web Presentations
· Generating Web Super Presentations
...and much more

Once a Diagram is created they may also be converted into the following image formats for insertion into other windows applications:

Bitmap Formats include
· BMP
· WBMP
· TIF
· PCX
· JPG
· PNG
· TGA
..with others being developed

Vector Formats (Retaining True Vector Information) include:
· WMF
· EMF
· SVG
· SVGZ
..with others being developed (including DXF and VML)


Why Process Revolution

Why Select Process Revolution
The Process Revolution concept is to radically simplify how ideas, processes and business/organization functions are documented and conveyed. If you can point and click, draw on a napkin or write on a blackboard then you can easily use Process Revolution. Process Revolution brings Process Flow Charting and Process Documentation into abilities into the hands of users at all levels.

OK so what does this mean to Process Revolution users. Most diagramming and flow charting packages are focused on creating visually appealing diagrams. Some of these have very advanced features but digging down into the application to access these features can be a daunting task. These two facts mean that the purpose of all Flow Charting and Diagramming packages go unrealized. This purpose is to:
· Explain how Processes and Work Functions operate
· Explain how they can be improved
· Show Where the Bottlenecks are

While Process Revolution can be used to help you with these task through the creation of simple diagrams and flow charts more complex projects can be realized without requiring advanced training. Complex projects can consist of the following :

· Creation of Process Repositories for the Storage of Process Books
· The ability to create multiple levels of folders for the storage of hierarchical Diagrams
· The addition of multiple diagrams into a single repository for grouping of interrelated information
· The creation of Presentations inside of diagrams
· The grouping of multiple presentation into Super Presentations spanning multiple diagrams
· Generation of Presentations of Super Presentations into stand alone web sites


Sources of Information

Sources for information on Process Documentation
There are many great sources in both Print* and Web** Media that review in great depth the area of Process Documentation, Modelling, Business Reengineering and other related areas. Some of our favorites are:

Books:

Harrington, H. James.

Business Process Improvement: The Breakthrough Strategy for Total Quality, Productivity, and Competitiveness.

McGraw-Hill Professional Publishing; ISBN: 0070267685; 274 pages

H. James Harrington, Erik K. C. Esseling (Contributor), Harm Van Nimwegen, Van Nimwegen

Business Process Improvement Workbook: Documentation, Analysis, Design, and Management of Business Process Improvement

McGraw-Hill Professional Publishing; ISBN: 0070267790; 314 pages

by Michael Hammer, Steven A. Stanton (Contributor)

The Reengineering Revolution : A Handbook

HarperCollins (paper); ISBN: 0887308805; 304 pages

Web Sites:

National Institute of Standards and Technology
Dexter A. Hansen (Personal Web Site - No Relation to Silicon Mindset)
Medical Geared Site using Flow Charting techniques
Ryerson Polytechnic University's School of Radio and Television Arts

* Books referenced here are done so to help you increase your understanding in the areas of Process Documentation and Business Reengineering. These references are provided without request by the Author. No relationship currently exists between Silicon Mindset, Inc or any of the Authors or Publishers referenced here. We do believe that these are valuable sources, though, and hope that you purchase them as they provide great insight into mentioned areas for a relatively inexpensive cost. Note that Books and Journals fall out of print and may not be guaranteed to be available if you decide to purchase these. Please visit our web site often for additional sources of information.

**Web sites, while valuable sources of information, can become unavailable at any time. Silicon Mindset does not confirm that these listed sites will be available in the future. Please visit our web site often for additional sources of information


Silicon Mindset
Silicon Mindset is a software development and consulting firm based out of Delaware and New York.

Silicon Mindset, Incorporated in 1992, specializes in the development of Financial, Asset Management (both financial and physical), Banking, Methodology, Project Management and Process Documentation software.

Silicon Mindset can help your firm create Applications of outstanding quality without the risk of using obsolete or Bleeding Edge technologies.

Silicon Mindset can help build development teams and mentor existing ones.

Silicon Mindset...because business is the object!
Silicon Mindset...simple solutions to serious problems!

Silicon Mindset can be reached as listed below:

Mail
Silicon Mindset, Inc
367 Windsor Hwy
New Windsor NY, 12553
United States of America

Email
info@siliconmindset.com


Credits
This project would not be considered complete without giving proper credit to those employees, partners and companies whose work enabled us to produce a superior product. These include:

· Software we Licensed to Complete this product
· Partners whose work assisted us in finishing this product
· Employees whose tireless work gave life to this product


Licensed Software
Very few complex software products developed today are created from code or objects developed completely 'In House'. Silicon Mindset Process Revolution is no exception to this rule. Just as Ford Motor Company does not make every component that goes in an automobile you purchase Software Publishers and Creators license (or buy out) third party software on a regular basis. This is true of companies such as Microsoft, Sybase, IBM and many others. We have attempted to include a listing, while not required, of all third party software included or used in this product.

Company | Product / Library | Description
Microsoft | Windows 95, 98, NT 4, NT 2000, XP | This product has been developed specifically for this platform. We make no apologies for this. In fact we believe this to continue to be the far and away dominant operating system being used in business today.
Lassalle Technologies | Addflow 4 | Silicon Mindset is proud to be able to state that we have used the Addflow product since its very inception. It is the most powerful and tightest implementation of a graphing component available today. Patrick Lassalle, the founder of Lassalle Technologies, has created a product of unequaled quality and technical excellence.
ComponentOne | vsVBX vsFlexGrid Pro vsView vsSpell vsPDF | Component One was created in 2001 by the merger of VideoSoft and APEX software. Silicon Mindset has been a user of VideoSoft products since the company was first founded. The products are used by a majority of all Fortune 500 companies. Several of these components are also used by products such as Microsoft SQL Server, Microsoft VB and many others. Portions by ComponentOne LLC. Copyright © 1995-2000. All Rights Reserved.
Desaware | Storage Tools | Desaware, founded by Dan Appleman, creates products, publishes documents and participates in technical industry conferences. Desaware products allow developers to achieve more than they thought possible. Developers at all levels have read Dan's work and are grateful for his guidance and input.
DataDynamics | ActiveBar | ActiveBar allows applications to adopt intuitive and powerful interfaces with a minimal amount of coding.
SubSystems | TE Developer's Kit | TE Developers kit is far an away the most accurate and powerful RTF edit control on the market today. It might take a minimal amount of additional work to get at its many features but it maintains accurate feature rich RTF not matched by any other company.
PolarSoftware | PolarZIP | Polar Software is an innovative company that creates Zip, Diagramming, Encryption and Web Forums software and components
DesignerControls and SmallerAnimals | ImgX | Designer Controls along with Smaller Animals have partnered to create fast, efficient powerful and cost effective image conversion and manipulation software. Silicon Mindset uses this software exclusively in Process Revolution when working with Bitmap images (BMP, WBMP, JPG, PNG, PCX, TIFF).


Partners
Silicon Mindset greatly appreciates our many partners advice, prodding, suggestions and where applicable coding efforts that helped make Process Revolution a superior product. These include

Dave Harper and Targeted Systems Developement. Dave has been at the forefront of software development for many financial and other fortune 500 companies over the years. Thanks for the advice, testing and more advice given over the years.

Walter Szablowski and Eracent Corporation. Walt showed my that a little bit of useless information acquired millions of times in an organization really, really helps reduce costs and help organizations get a handle on their assets.

Nagi Nahas - Nagi without your excellent work in graph theory this product would not have been as unique as it is. Nagi can be contacted through Silicon Mindset at partnerinfo@siliconmindset.com (all emails will be forwarded to him). Below is a small description of his background.

Visual C++ ,Visual Basic .
Bachelor Degree in Computer Engineering ,
American University of Beirut 1997
MCSD in 1998
MCP
GRE computer science score :94 th percentile 1996.
Special competence in Discrete Algorithms and Data Structures.
Papers:"On the crossing number of K(m,n)",
submitted .(not yet accepted nor refused).


Employees

Employees and Contractors
Bruce Hafner - Founded Silicon Mindset in 1992. Since that time he has worked on projects for clients such as Bankers Trust, Bank of New York, DLJ, PECO Energy, Lucent Technologies and other private client and commercial software projects. Prior to founding Silicon Mindset he worked at firms such as Mitel, Canadian Telecommunications Group (Later Purchased by British Telecom), Shearson / Lehmen / Hutton / American Express and Nomura Research Institute. Projects completed have ranged from Trading Floor Relocations, Telecom Management, New Technologies Adoption, Call Center development as well as many others. Process Revolution was developed based on a recognized need for user friendly yet powerful Process Flow Charting and Process Documentation software. Process Revolution is the first step to taking these areas of Process Documentation, Process Evaluation, Process Modeling and Business Reengineering into the hands of every user.

Roman Pacheco - Silicon Mindset hired Roman out of SUNY New Paltz just to stop his incessant calls requesting an interview for the non existent Intern Position. Since that time Roman has become a valued developer and analyst. We look forward to his many contributions and daily interactions.

Elizabeth Harrington - Not a day goes by that Elizabeth does not have some major hand in improving the operations of our organization. Elizabeth has also been pivotal in ensuring that the product goes out tested and on time.

Ken Alvarez - With a background in financial applications Ken has been a valued member of our development and QA process. Ken was an alternate on the US Olympic Freestyle Ski team when hired. Looks like that training came in handy when we hit bumps in our development process

Anica Dimovski - Anica has assisted in application QA, Documentation, Web related items and many other key areas in the production of this product.

G Chow - G Chow has been the watchdog in this project picking up the scraps and leftovers when we over look them

Colleen Hafner - Colleen has provided great help in ensuring that this product is intuitive and makes sense.


Introduction

Introducing Silicon Mindset Process Revolution 2002(SE)
Process Revolution 2002(SE) is a stand alone Diagramming, Documentation, Flow Charting. You will find Process Revolution to do things easier, faster and more intelligently while also allowing you to retain superb control over most any conceivable feature or function. Process Revolution will allow you to:

· Create Flow Charts
· Create Diagrams
· Create Process Diagram Snapshots (Portions of a diagram)
· Create Process Repositories (a type of file that allows grouping of diagrams into user defined categories)
· Create Presentations (Groupings of Snapshots)
· Create Super Presentations (Groupings of Presentations across multiple repository diagrams)
· Creation of XML files
· Creation of Object Reports
· Export Diagrams into Bitmapped Images including PNG, BMP, WBMP, TIF, PCX, JPG, PCX, TGA and Limited PSD files.
· Export Diagrams into Vector Images including EMF, WMF, DXF, and SVG
· Creation of full Process Documentation Web sites

· Process Revolution 2002(SE) is the first in a line or Process Documentation and Diagramming products that will help businesses and organizations work smarter, faster and better. Other products scheduled for release include:

· Process Revolution 2002(PE) - Pro Edition including such features as access to more that 40,000 equipment images from Altima Technologies Net Zoom, RTF File imports for more advanced Documentation and Web site creation

· Process Revolution 2002(EE) - Enterprise Edition adding Database storage for Repositories (Using SQL Server to start with MySQL and Oracle to Follow)

· Other planned enhancements include the addition of a VBA compatible scripting language and a fully exposed object model for users that need to extend the capabilities of Process Revolution.


What's New
Process Revolution has added a vast amount of functionality, features and abilities to enhance your diagramming and process documentation experience. These include (but are not limited to)

· Increased image export formats for bitmapped image types including JPG, TIF, PCX, BMP, WBMP, TGA.
· Increased image export formats for vector image types including EMF, WMF, SVG (DXF, VML to Follow Later)
· The ability to place objects on Layers
· The ability to create views allowing for custom zoom, X & Y Offsets, Hide and Show Layers based on views
· Creation of Object Categories (a way of association objects with like categories of Object Types)
· Creation of Object Types. This is the most granular level of identification for an object
· Creation of Properties that can be shared across Object Types
· Hiding / Showing of Rulers
· Addition of two new Object handle sizes for individuals having difficulty seeing object handles
· The ability to sort Object/Link/Canvas properties by category
· Process Diagram Logic Analysis. Allowing users to visualize connectivity and shortest path for connected objects
· Automatic Process Diagram Layout Algorithms. Initially 10 unique Process Diagram layouts have been included
· Process Diagram Rotation. Enabling most diagrams to be rotated by 90 degree increments
· Undo / Redo abilities
· User Defined Styles (Line Color, Fill Color, Line Type, Line Width etc)
· Creation of Snapshots allowing Objects, Zoom Levels and X/Y axis offsets to be saved and recalled
· Grouping of Snapshots into Presentation for export into Web sites.
· Grouping of Snapshots across multiple Repository Diagrams into Super Presentations
· User defined Process Diagram Object Reports
· Object Shadows
· Oriented Text for Links
· The ability to see In and out Linked objects from any Object
· ZOrder manipulation for Links and Objects
· Now 2 types of Link curves supported (Bezier and Cubic Spline) allowing for superb control of a curved links shape
· 2 New Default shapes included (Double Arrow and ISO-9000 Arrow)
· Saving of Diagrams into XML and Compressed XML files
· Clipping of images inside Objects to match Image shapes (For ellipses and Rectangles)
· Multi Line text inside of Objects
· Locking of Objects to a X, Y or X and Y setting even when diagrams are scrolled
· Locking Objects Height, Width or Both.
· The ability to specify a maximum number of links an Object may except
· The ability to specify a maximum number of Outlinks an Object may except
· The ability to specify a maximum number of Inlinks an Object may except
· Tracking of objects based on Layer, Category, Object Type or Hidden property


Where to Purchase
Order Process Revolution 2002(SE) today and enjoy full functionality and instant delivery!

Direct order link
Regsoft.com

Home page
Silicon Mindset

EMail support
procrev2002se.support@siliconmindset.com

Snail mail
Silicon Mindset, Inc
367 Windsor Hwy
New Windsor NY, 12553
United States of America


System Requirements
In order to run Process Revolution 2002(SE) you should have a Pentium-based computer. In addition, your system must include the following:

Recommended System Requirements
· Pentium III Processor at 500Mhz or better
· Windows 2000 or Higher
· 96 MB of RAM
· 40 MB of hard disk space (before installation)
· VGA video card displaying at least 800x600 with 16 bit color
· CD-ROM drive
· Mouse or other pointing device

Minimum System Requirements
· Pentium II with a minimum clock speed at 120 Mhz
· Windows 95 or higher
· 32 MB of RAM
· 40 MB of hard disk space (before installation)
· VGA video card displaying at least 800x600 with 256 colors
· CD-ROM drive
· Mouse or other pointing device
· Configured for a Printer (For Print Preview, Page Break Functionality and PDF generation)


Installing The Software
To install Process Revolution 2002(SE) you must run Setup. You can't install or reconfigure Professional Home Design by copying files directly from the distribution CD, a network drive or another machine to your hard drive.

To install Process Revolution 2002(SE) from a Web Download Delivery
1. Download the Installation software from a known reliable source (siliconmindset.com, zdnet.com etc) to a location on your hard drive.
2. Double click on the executable ProcRev2002se.exe
3. Follow the Installation prompts that appear.

To install Process Revolution 2002(SE) from a CD
1. Insert the Process Revolution 2002(SE) into your CD-ROM drive. Installation begins as soon as you insert the CD.
2. Follow the installation prompts that appear.
3. If installation did not begin when you inserted the Process Revolution 2002(SE) CD into your CD-ROM drive, Auto run may be turned off on your computer.
4. Follow the installation prompts that appear

To install Process Revolution 2002(SE) if installation does not begin automatically

1. Insert the Process Revolution 2002(SE) CD into your CD-ROM drive.
2. On the Windows Start menu, click Run. The Run dialog box appears.
3. Enter M:\ProSetup.exe, then click OK. If you are installing from a different drive, substitute the correct letter in place of the letter M.
4. Follow the installation prompts that appear.

Other Software you might want to install on your computer (supplied by other manufacturers) to enhance your Process Revolution experience are as follows:

Download Now | The Adobe SVG Viewer. The free Adobe SVG viewer is our recommended download to enable viewing of SVG files from your browser. Adobe sells many products that allow for the editing and creation of SVG files.
Download Now | The Adobe © Acrobat Reader. The free Adobe Acrobat reader is our recommended download to enable viewing of Adobe Acrobat (PDF files) files. Adobe sells products for creating and editing PDF files. PDF files allow for platform independent documents that are compatible with operating systems by Microsoft, Apple, Linux and Unix publishers.


Technical Support
The Shareware edition of Process Revolution is supported by email. Check our web site often (http://www.siliconmindset.com) for additional support options which will be available in the future (including on site training and web based forums). Frequently Asked Questions will also be available at the Silicon Mindset web site (http://www.siliconmindset.com).

A Maintenance Contract is available for corporate Users licensing 10 or more copies of Process Revolution 2002(SE). The Price for a maintenance contract is 25% of the current purchase price of all licensed copies.


Speed Tips
You can "Speed Up" Process Revolution by doing the following

· Limit the number of applications running on your system at one time
· Set your Display Screen Settings to 16-bit, 65,000 colors for optimum screen redraws
· Ensure that you have at least 64 MB of Random Access Memory
· Close Diagrams that are not needed to be open at any given time


The User Interface
The Advanced user interface is designed to be intuitive and advanced layout. This section is broken into the following area:

The Main Application Window
Document Windows
Secondary Windows
Wizards


Main Application Window Overview
Upon starting Process Revolution the Main Application Window is started. The Main Application Window is where you will spend a majority of your time when working with Process Revolution 2002(SE). By spending a few minutes to become familiarized with the Main Application Window you will profit by understanding where:

· The most frequently used tools are
· Information is entered into Diagrams
· Information is Displayed to the User


Main Application Window
Clicking on any of the areas of the Main Application Window (see figure 1) will immediately bring you information on that area.

window - main application
(Figure 1)


Process Structure Editor

The Process Structure Editor
The Process Revolution 2002(SE) Process Diagram Structure Editor (see figure 1)is used for adding and editing the underlying structure of the current diagram. Underlying structure is all of the information contained in a Process Diagram that is not directly related to related to an Object, Link or Canvas properties.

(Figure 1)
General Process Diagram Structure
Drawing Styles is used to rapidly change the current drawing properties to user defined settings (Colors, Border Widths, Object shapes, Canvas Colors etc)
Views are used to scroll Process Diagram X and Y offset values, Zoom Values and Layer Visibility settings
Layers are used to group objects together at the user discretion
Categories are used to define types of Objects. Categories can belong to other categories
Object Types are used to specify exact types of objects. Custom properties can be assigned to Object Types
Custom Properties are used to store specific predefined information into Objects (Examples might be Color, Weight, Dates, Quantities etc)
Snapshots are used to preselect Objects, select a View and then further adjust Zoom and Process Diagram Scroll offsets
Presentations are used to group together Snapshot and Reports into a Presentation Object
For Future Use for additionally Planned Presentation documents
Reports are used access Process Diagram Object information in a table format
Load is used to refresh the Tree
Edit is used to edit the currently selected Process Diagram Structure Object. Most objects can also be edited by double clicking on them.
UPD. is used to Update the currently selected object
Del. is used to delete the currently selected Process Diagram Structure Object
Track Objects is used to track Objects on Layers, Categories, Object Types or with a given Property Type


Process Repository Editor

The Process Repository Editor

inspector - repository (Figure 1)

The Process Repository Editor allows for creation of Books, Folders, Diagrams and Super Presentations within a Process Repository. More information can be found on the following subjects:

· Books
· Folders
· Process Diagrams
· Super Presentations

Current versions of Process Revolution support a stand-alone file for Process Repositories. Future Versions will support various Database Management Systems. Initially these are planned to include Microsoft SQL Server, MySQL, Microsoft Access and Microsoft MSDE. Other Database support will be included as required by customer request (These could include Databases by Oracle, IBM and others). Users who plan on upgrading to future versions of Process Revolution should become familiar with the concept of Process Repositories. Registered users of Process Revolution 2002(SE) will be offered a free upgrade to support Microsoft Access based Process Repositories.


Properties Inspector

The Properties Inspector

(Figure 1)

The Properties Inspector is comprised of 2 Distinct Areas.

The First area is used to Navigate between Objects (Locked or Unlocked) and Linked Objects (InLinked and OutLinked.
See Figure 2a, 2b, 2c, 2d

The Second Area can actually be broken into 3 distinct areas. These areas can be toggled by the Tab Control. The 3 areas are as follows

1) Standard - used to edit all Objects, Links or the Canvas properties (depending on what the user has selected). The properties are sorted in alphabetical order. See Figure 3

2) Categorized - again used to edit all Objects, Links or the Canvas properties (depending on what the user has selected). The properties are sorted in First by Property Category and then alphabetically.
See Figure 4

2) Text Edit - The Text Edit Tab allows for editing of text associated with Objects or Links. This allows for Carriage returns when working with Objects.
See Figure 5

While you may select Process Diagram Objects with the Mouse you also may selected any unlocked object from the Objects drop down box. Locked Objects can be UnLocked via the Lock button next to the Objects drop down box. Outlinked and Inlinked Objects can navigated to via the 'Outlink To' and 'InLink To' drop down boxes.

(Figure 2a)

(Figure 2b) | Shows Active Object when an object is selected (Lock allows Selection of Locked Objects)
(Figure 2c) | Shows all Objects That are Outlinked from Selected Object (Sextant Navigates to that Object)
(Figure 2d) | Shows all Objects That are Inlinked from Selected Object (Sextant Navigates to that Object)

Figure 3

Figure 4

Figure 5


Process Diagram Status Bar

The Process Diagram Status Bar
The Status Bar offers the following:

1) 5 Status update panels located across the bottom of the status bar from the far lower left going horizontally to the right

2) Above the 5 status panels will show one button for each open document. Note in Figure 1 a single Process Diagram named 'New1' is opened.

3) On the far lower right is current mouse cursor location indicators (left) and total Process Diagram size (right).

4) All colors, Line/Border widths and Line/Border types can be accessed from the Properties Inspector. These properties are also always available from a fixed position on the Status Bar.
toolbar - statusbar
(Figure 1)


Toolbars
Silicon Mindset Process Revolution 2002(SE) supplies toolbar's to do most any function or Canvas / Object / Link manipulation you could need. Being presented with this many toolbar's at first might seem a little intimidating. After using the application for more than a few minutes, however, an appreciation for the ease at which they offer will become apparent.


Advanced Functions

Advanced Functions Toolbar

The Advanced Functions Toolbar provides access to the following functions

Triggers the Object Properties Duplication Toolbar

Triggers the Object Alignment Toolbar

Triggers the Object Offset Toolbar

Triggers the Object

Triggers the Automatic Layout Algorithms Toolbar

Triggers the Diagram Rotation Toolbar

Triggers the Org Chart Wizard

Resets any Path Logic Highlighted Objects and Links

Triggers the Path Logic Wizard


Canvas and Control

Canvas and Control Toolbar

The Canvas and Control Toolbar provides access to the following functions

Toggle Birds Eye View On/Off

Toggle Process Structure Editor On/Off

Toggle Properties Inspector On/Off

Select Grid Type

Toggle Snap to Grid On/Off

Toggle Print Preview Page breaks On/Off

Set Object Grab Handle Size

Set Link Handle Size

Toggle Ruler and Process Diagram Current Info On/Off

Toggle Large Cursor Cross Hairs On/Off

Set Large Cursor Cross Hairs Size (In Pixels)

Toggle Large Cursor Cross Hairs Drag to Cross Hairs

Set Canvas Back Picture


Color and Line

Color and Line Toolbar

The Color and Line toolbar provides access the following functions

Triggers the Border / Link width toolbar

Triggers the Border / Link Line type toolbar

Triggers the Color Toolbar for changing the Canvas Color

Triggers the Color Toolbar for changing the Grid Color

Triggers the Color Toolbar for changing the Shadow Color

Triggers the Color Toolbar for changing the Object Fill Color

Triggers the Color Toolbar for changing the Object Border Color

Triggers the Color Toolbar for changing the Link Color

Triggers the Color Toolbar for changing the Font Color


Edit

Edit Toolbar

The Edit Toolbar provides access to Edit Functionality

Triggers the Image Export Window

Cut

Copy

Paste

Erase

Undo

Redo

Specllcheck

Thesaurus


File and Document

File and Document Toolbar

The File and Document Toolbar provides access to File and Document Functions

Create a New Process Repository. Triggers Repository Properties Window
Create a New Diagram
Create a New RTF Document (Reserved for a future version of Process Revolution)
Open Document
Open Object Library
Save
Print
Print Preview


Links

Links Toolbar

The Links Toolbar is used to get fast access to many Link Properties. Remember Access to every Link property is accessible via the Properties Inspector

Triggers the Default Link Types Toolbar

Toggles the Rigid Link Property

Reverses the Link Direction

Toggles the Link Text orientation

Toggles Origination Point Locking

Triggers the Default Arrow Types for setting the Link Origination Point Arrow

Triggers the Default Arrow Types for setting the Link Mid Point Arrow

Triggers the Default Arrow Types for setting the Link Destination Point Arrow

Toggles Destination Point Locking


Objects

Objects Toolbar

The Objects Toolbar is used to get fast access to many Object Properties. Remember Access to every Object property is accessible via the Properties Inspector

Triggers the Object Default Shape Toolbar

Triggers the Object Angle Rotation Toolbar

Triggers the Object Picture Toolbar

Trigger the Text Alignment Toolbar

Trigger the Object Image Alignment

Nudge Up

Nudge Down

Nudge Left

Nudge Down

Triggers the Object Shadow Setting Toolbar

Toggles the Object Anchor Property

Toggles the Object Transparent Property

Toggles the Object Hidden Property

Groups Objects

Ungroups Grouped Objects


Text

Text Toolbar

All of the Buttons on the Text Toolbar should be very familiar to users as these emulate those found on almost all word processing applications. The only exception is the Object Text Alignment Button [image] which triggers the Text Alignment Toolbar.


Tile

Tile Toolbar

The Tile Toolbar allows a fast ability to tile all open application document windows. This includes cascade, Vertical and horizontal.


Zoom and Select

Zoom and Select Toolbar

The Zoom and Select Toolbar provides access to functions related to Process Diagram Cursor Mode and Zoom Level.

Turns the Cursor into Select Mode

Turns the Cursor into Draw Mode

Turns the Cursor into 'Fly By' Mode for Fly By Object Selection for properties

Turns the Cursor into Cursor Zoom mode

Incremental Zoom In

Incremental Zoom Out

Zoom All

Adjust Zoom Level


ZOrder

ZOrder Toolbar

The ZOrder toolbar has one button. When pressed it triggers the ZOrders Toolbar to be displayed.


Child Toolbars
Silicon Mindset Process Revolution 2002(SE) supplies toolbars to do most any function or Canvas / Object / Link manipulation you could need. Being presented with this many toolbars at first might seem a little intimidating. After using the application for more than a few minutes, however, an appreciation for the ease at which they offer will become apparent.


Angle Rotation

Angle Rotation Toolbar
toolbar - rotation
The rotation angle toolbar is triggered from either the Rotate Process Diagram button located on the Advanced Functions Toolbar or the Rotate Shape button located on the Objects Toolbar.

Rotate Process Diagram- Angle Rotation: Based on the current layout of the Process Diagram it will Rotate the entire Process Diagram90, 180 or 270 degrees from its current layout. This Function is fairly successful in rotating the Process Diagram while retaining the original symmetry of objects. Certain Process Diagram will require minor adjustments to ensure a desired look.

Rotate Shape - Most Default Shapes can be rotated. Setting the rotation angle will rotate the shape based on its Original default setting.


Automatic Layout

Automatic Layout Toolbar
toolbar - automated layouts

For more information see the Advanced Functions section labeled 'Applying Auto Layouts'


Border / Link Type

Border / Link Line Type Toolbar

The Border / Link type Toolbar sets the width of both Links and Object Borders

Solid Line

Dashed Line

Dotted Line

Dash Dot Line

Dash Dot Dot Line

Invisible Line


Border / Link Width

Border / Link Width Toolbar

The Border / Link width Toolbar sets the width of both Links and Object Borders

Force 1 Pixel. This sets the Border / Link to One Pixel no matter what Zoom level. Normally when zooming in Link / Borders scale proportionately. When set to Force 1 Pixel it retains 1 Pixel at all zoom levels.

1 Pixel

2 Pixel

3 Pixel

4 Pixel

5 Pixel

6 Pixel

7 Pixel

8 Pixel


Colors

Color Toolbar

The Color Toolbar is used for fast access to presets for changing colors. The Color Toolbar also gives access to the advanced Color Selection Lab when more control over the color selection process is needed.

· Canvas Color
· Grid Color
· Shadow Color
· Object Fill Color
· Object Border Color
· Link Color
· Font Color


Default Arrow Types

Default Arrow Types Toolbar
toolbar - arrows
Note: Each Link has three arrows. These are:
The Origination Point Arrow - The Origination Arrow is the arrow located at the end of the Link by the Origination Node or LinkFrom Point
The Mid Point Arrow - This is the arrow(s) located at the midpoint of Link Segments
The Destination Point Arrow - The Destination Arrow is the arrow located at the end of the Link by the Destination Node or LinkTo Point

Selecting one of the 20 default Arrow Types will:

· Convert all selected Links Arrows (Origination, MidPoint or Destination) into the selected Arrow Type
· Set the Default Arrow (Origination, MidPoint or Destination) to the newly selected Arrow Type


Default Link Types

Default Link Types Toolbar
toolbar - link types
Selecting one of the 16 default Link Types will:

· Convert all selected Links into the selected Link Type
· Set the Default Link Type (All new Links take on the Default Link Type) to the newly selected Link Type


Defualt Shapes Types

Default Shape Types Toolbar
toolbar - object default shapes
Selecting one of the 36 default Object Shapes will:

· Convert all selected Objects into the selected shape
· Set the Default Shape (All new Objects take on the Default Shape) to the newly selected shape


Image Set

Image Set Toolbar

The Image toolbar is used to set or clear Object and Canvas Images (depending on where it was triggered from). Valid Image types include Windows Metafile (WMF), Enhanced Metafile (EMF), Bitmap (BMP) and JPEG (JPG)

Brings the Object or Link to the Front of the ZOrder stack

Sends the Object or Link to the Back of the ZOrder stack


Object Alignment

Object Alignment Toolbar
toolbar - object alignment
18 Object alignments are available. By viewing the icons you can determine how the Objects will align. The darker colored rectangle is the initial Object that is the anchor Object. The lighter colored Object is the one that is to be aligned.


Object Image / Text Sizing

Object Image / Text Sizing Toolbar
toolbar - image in node sizing

No Image/Object sizing occurs.
Objects are scaled to the Images native size
Images are scaled to fit inside of Selected Objects
Objects are automatically sized to match selected Objects text


Object Image Alignment

Object Image Alignment Toolbar
toolbar - image in node alignment
Object Image Alignment sets any current images for Objects selected to match the selected image alignment button. If no Object is selected then the default image alignment is set.


Object Offset

Object Offset Toolbar
toolbar - object offsets

The Object Offset tools allow for objects to be offset in a equal manner when more than 2 objects are selected. This feature will use the offset of the 1st two objects and match that offset between all others IE:

Offset between Object 1 and Object 2 is used as an offset
Offset between Object 2 and Object 3 will match the Offset between object 1 and Object 2

See figure 1(before) and Figure 2 (after) for a visual description of this feature when using the [image] offset tool

(Figure 1 - Before)

(Figure 2 - After)


Property Duplication

Property Duplication Wizard Toolbar
toolbar - object duplication

Duplicates Object Width
Duplicates Object Height
Duplicates Object Width and Height
Duplicates Object Colors
Duplicates Object Shape, Border Line type and Width


Shadow

Object Shadow Toolbar

The Object Image toolbar is used to set or clear Object Images. Valid Image types include Windows Metafile (WMF), Enhanced Metafile (EMF), Bitmap (BMP) and JPEG (JPG)

Turns off Selected Objects Shadow

Sets Select Object in a South East direction

Sets Select Object in a North East direction

Sets Select Object in a North West direction

Sets Select Object in a South West direction


ZOrders

Object Image / Text Sizing Toolbar

Brings the Object or Link to the Front of the ZOrder stack

Sends the Object or Link to the Back of the ZOrder stack

Sends the Object Backwards one level in the ZOrder stack

Brings the Object Forward one level in the ZOrder stack


Object Text Alignment

The Object Text Alignment aligns text within an Object as shown by the nine associated images on the Toolbar buttons.


Document Windows
Process Revolution 2002(SE) offers only one type of General Document to work. These are known as the Diagrams. Diagrams are edited inside of Process Diagram Forms. Multiple Diagrams can be opened at a time from within the Primary Workspace.


Process Diagram Form

Process Diagram Forms
The Process Diagram Form (See figure 1) is highly advanced in its abilities but relatively easy to understand all parts of its user interface. The Process Diagram Form can be broken down into the following components

· File Name - (Shown in the Title bar of the Form)
· Ruler - The Horizontal and Vertical rulers show information scale and offset information (Rulers and Mini Status Bar can be turned off at the users discretion)
· Process Diagram Workspace - The Drawing Area shows the Underlying Canvas, Grid and Process Diagram Objects and Links
· Scroll Bar - The Vertical and Horizontal scroll bars allow for navigation within the diagram
· Current Info - The Current Into area shows the Current View, Default Layer for New Objects and Links and the Last Selected Style
· Scroll Bar - The Vertical and Horizontal scroll bars allow for navigation within the diagram

diagramform
(Figure 1)


Secondary Windows
Secondary Windows are windows that give enhanced functionality to the application. Examples of this are the Birds Eye View and Print Preview window. Secondary windows typically encompass a single function of the application while not requiring more advanced functions handled by Wizards.


Advanced Copy(Radial Copy)

Advanced Copy Window
The Advanced Copying Window allows for Radial Copies (See Figure 1a and Figure 1b) and Offset Copies (See figure 2a and Figure 2b).

(Figure 1a)

(Figure 1b)

(Figure 2a)

(Figure 2b)


Birds Eye View Window
The Birdseye View (see figure 1) allows the user to acquire a miniature snapshot of the complete Diagram. In the View a red rectangle is visible showing the active viewed area in the associated Process Diagram Form (see figure 2). An added benefit is the ability to navigate the viewed area by clicking on the Birdseye View and dragging your mouse around on the Birds Eye thereby resetting the active viewed area. The Birdseye View is accessible via the Canvas and Control Toolbar.

(Figure 1)

(Figure 2)


Color Selection Lab

Color Selection Lab Window
The Color Selection lab window allows advanced selection and adjustment of color. The user can select a color in any of the following manners:
· From the Central Color Palette (See Figure 1)
· From the Side Color Gradient based on the From Color and End Color Vector(See Figure 1)
· From Direct (Red, Green and Blue) Color Adjustment(See Figure 1)
· From any other color anywhere on the screen via the eye dropper(See Figure 1)
· From A list of System Pre Programmed Colors(See Figure 1)
colorselectionlab2
(Figure 1)

colorselectionlab3
(Figure 2)


Image Export Window
The Image Export Window(see figure 1) allows for the saving of portions or entire diagrams to various vector and bitmap graphic file formats.

wizard - image export
(Figure 1)

The file formats presently supported includes the following:
· Bitmapped image types supported includes JPG, TIF, PCX, BMP, WBMP, TGA, PNG
· Vector image types supported includes EMF, WMF SVG (DXF and VML under development)


Object Type Configuration Window
The Object Configuration Window allows the customization of Custom 'Object Types' (see Figure 1).
window - object editor
(Figure 1)

An 'Object Type' has the following properties
Object Type Name | Assigned by the User
Internal ID | Assigned By the Application (Used internally)
Description | Assigned by the User
Category | This is the Category that the Object Created From
Object Properties | These are selected from the Custom Properties created by the User

Note: Object Image reserved for the Professional version of Process Revolution 2002.


Print Preview Window
The Print Preview window (See figure 1)is used to give a visual view of what the Process Diagram will look like when printed. Note that the Refresh button allows for powerful interactive manipulation of the print Preview in that if the user zoom on a currently opened diagram then hits the Refresh button it will reflect this Zoom change or any other changes made.
printpreview
(Figure 1)


Process Repository Properties
In Process Revolution 2002(SE) The Process Repositories Properties screen (see figure 1) serves 2 functions

· Selecting the Name of New Process Repositories
· Converting version 1.0 Repositories to version 2.0

(Figure 1)


Property Configuration Window
Custom Properties are a powerful tool in customizing information saved in a Diagram. The Custom Properties Window (see figure 1) uses the following fields for Property Description
· Property Name: a Descriptive Field
· Property Data Type : (see table 1)
· Property Description
· Default Property Value - If used it assigns this value automatically to Objects when no value is assigned
· Edit Mask - Used to Cause an Format Data Entry
· Use List Box - Forces Data Entry through use of a List Box Presented to User
· List Box Related Features

window - custom property editor
(Figure 1)

Boolean | True (-1) or False (0)
Currency | Currency variables are stored as 64-bit (8-byte) numbers in an integer format, scaled by 10,000 to give a fixed-point number with 15 digits to the left of the decimal point and 4 digits to the right. This representation provides a range of -922,337,203,685,477.5808 to 922,337,203,685,477.5807.
Date | Date variables are stored as IEEE 64-bit (8-byte) floating-point numbers that represent dates ranging from 1 January 100 to 31 December 9999 and times from 0:00:00 to 23:59:59. Date variables display dates according to the short date format recognized by your computer. Times display according to the time format (either 12-hour or 24-hour) recognized by your computer. When other numeric types are converted to Date, values to the left of the decimal represent date information while values to the right of the decimal represent time. Midnight is 0 and midday is 0.5. Negative whole numbers represent dates before 30 December 1899.
Double | Double (double-precision floating-point) variables are stored as IEEE 64-bit (8-byte) floating-point numbers ranging in value from -1.79769313486232E308 to -4.94065645841247E-324 for negative values and from 4.94065645841247E-324 to 1.79769313486232E308 for positive values.
Integer | Integer variables are stored as 16-bit (2-byte) numbers ranging in value from -32,768 to 32,767.
Long | -2,147,483,648 to 2,147,483,647
Single | Single (single-precision floating-point) variables are stored as IEEE 32-bit (4-byte) floating-point numbers, ranging in value from -3.402823E38 to -1.401298E-45 for negative values and from 1.401298E-45 to 3.402823E38 for positive values.
String | The codes for String characters range from 0-255. The first 128 characters (0-127) of the character set correspond to the letters and symbols on a standard U.S. keyboard. These first 128 characters are the same as those defined by the ASCII character set. The second 128 characters (128-255) represent special characters, such as letters in international alphabets, accents, currency symbols, and fractions.

(Table 1)


View Layer Configurator

View Layer Configuration Window
The View Layer Configurator Window allows for customization of layers that are Visible or locked in a given View. This window also allows the setting of the default layer to be set for a given view.
window - view layers editor
(Figure 1)


Wizards
Wizards are windows that give guide users through more complex multi step functions in the application. Examples of this are the SVG Export Wizard and Logic Analysis Wizard.


Logic Analysis Wizard
The logic Analysis Wizard (See Figure 1) give a powerful method of identifying associations in linked Objects. The Wizard walks the user through doing the following types of Logic Analysis. The Wizard Shows the User the Linked Objects by Highlighting Objects (as specified by the User).
· Highlight All Linked Objects
· Highlight InLinks (One Level)
· Highlight OutLinks (One Level)
· Highlight All Linked Objects
· Highlight All InLinked Objects
· Highlight All OutLinked Objects
· Highlight All Linked Objects (Specify 'N' Levels Deep)
· Highlight All InLinked Objects (Specify 'N' Levels Deep)
· Highlight All OutLinked Objects (Specify 'N' Levels Deep)
· Find the Shortest Path
To Remove Highlighting on Objects and Links use the Last Option in the Wizard labeled Normalize All Highlighted Objects (See Figure 1)
wizard - diagram logic analysis
(Figure 1)


Object Report Wizard
The Object Report Wizard guides you through the steps of creating an Object Report. Object Reports can be useful for reviewing Object Properties. (see Creating Object Reports for more information)

(Figure 1)


Org Chart Wizard
The Org Chart Wizard guides you through the steps of creating an Organizational Chart Quickly by importing a organizational information from a file source. (see Creating Org/Tree Charts Automatically for more information)

(Figure 1)


Presentation Wizard
The Presentation Wizard provides a quick and easy method to create a mini web site from a Diagram. In Short a presentation allows multiple Snapshots, reports and external Web Links to be grouped into a single coherent object called a Presentation. Once a Presentation is created the Process Diagram must be saved to generate it appropriately. Modifying the Presentation or any of its components (IE Snapshots, Reports or Web Links) requires that the Process Diagram be saved prior to generating the Presentation. (see Creating a Presentation for more information)

wizard - presentations
(Figure 1)


SVG Export Wizard
The SVG export wizard will guide you through the tasks required to produce excellent quality SVG images. SVG, while relatively new, is being widely adopted for use in producing scalable vector images viewable via web pages. Vector images are valued because they produce smaller file sizes while allowing for the ability of zooming in and out of images without loss of quality or pixalation.
wizard - svg export
(Figure 1)


Tree Wizard

wizard - tree layout
(Figure 1)


Working with (Tutorials) <- Start Here

Working With (Tutorials) Process Revolution 2002(SE)
Silicon Mindset Process Revolution 2002(SE) is an advanced, intuitive and easy to use application. Creating basic diagrams, flow charts and other types of object based diagrams are fast and simple. There are times when you will need to put more advanced demands on Process Revolution. Silicon Mindset has designed Process Revolution such that the best method to become proficient with the application is to work with it. Most features will take no more than one review to feel comfortable in its use. Most Topics in each sub section are placed in a logical order. This section will break down into two sub sections.

Section 1 - The Basics: The Basics cover most items related to creating diagrams and working with Process Diagram Structure objects. This includes drawing objects and links, manipulating these items and working with styles, views and layers.

Section 2 - Advanced Topics: Advanced Topics cover items not found in 'The Basics' section. This includes (but is not limited to) Working with Repositories, Exporting Diagrams, Creating Presentations and much more.


The Basics

Working With Process Revolution - The Basics
Working with the Basics covers all of the basic features required to create diagrams and work with basic parts of the diagram structure. Items covered includes:

· Creating a New Process Diagram
· Adding Objects
· Linking Objects
· Creating Views
· Creating Layers
· Creating Styles


Creating a New Process Diagram

Creating a New Diagram
Creating a New Process Diagram is a simple process of pressing the 'New Diagram' Button. Remember you can have several diagrams open at once if desired.


Adding Objects
Doing the following steps in order will enable you to add Objects to the Process Diagram no matter what the current Drawing Mode.

Step 1 | (Figure 1a) | Left Mouse Click on the 'Cursor Draw Mode' Button. This button is located on the 'Zoom and Select' toolbar located at the top left hand portion of the primary workspace. (see figure 1a and 1b) (Figure 1b)
Step 2 | (Figure 2) | Left Mouse Click Down on the Canvas without letting up on the Mouse Button. See figure 2
Step 3 | tmp (Figure 3) | Drag the mouse and let up when the Object has reached the desired size. Remember Objects can always be move and resized later. see figure 3


Linking Objects
Linking is actually a very simple task. To ensure that the process of creating a link is understood it has been broken down into 7 steps below. Note that in actuality creating links occurs in one easy and fluid motion.

Step 1

(Figure 1a)
Left Mouse Click on the 'Cursor Draw Mode' Button. This button is located on the 'Zoom and Select' toolbar located at the top left hand portion of the primary workspace. (see figure 1a and 1b)

(Figure 1b)

Step 2
linking1a
(Figure 2)
Ensure that you have at lease two Objects in your diagram to link between.(see figure 2)

Step 3
linking2a
(Figure 3)
Select the Object you want to link from by clicking on that object with the mouse. Notice when you are over an object the mouse cursor will change to a double arrow cross hair type of cursor.(see figure 3)

Step 4
linking3a
(Figure 4)
You will see Handles appear around and in the center of the Object. To link this object to another object we will use the center handle. Move the mouse cursor over the center handle. When over the center handle the mouse cursor will change to a 'North' pointing arrow. Click down with the mouse precisely on the center handle of the LinkFrom Object without releasing your mouse button.(see figure 4)

Step 5
linking4a
(Figure 5)
start to drag the mouse towards the object you want to link to. You will notice that a link will appear as you drag the mouse toward the LinkTo object
(see figure 5)

Step 6
linking5a
(Figure 6)
Continue holding the mouse button down until you are over the LinkTo Object.(see figure 6)

Step 7
linking6a
(Figure 7)
Release the Mouse button while still over the LinkTo object. Notice that a link has been drawn between the LinkFrom and LinkTo Objects. The link is now selected.(see figure 7)


Creating Views
To create a new View merely press the new View button (see figure 1) located at the top of the Process Structure Editor (see figure 2). You will notice a new view is automatically added to the view list (see figure 3) in the Process Structure Editor. Note that the View will store the current Horizontal (x scroll) and vertical (y scroll) offsets as well as current Zoom value and Style. To change any of these values in the current view just adjust offsets, zoom or change to a new style and press the Update button (see figure 4) located on the Process Structure tool bar (see figure 5).

Step 1

(Figure 1)
New View Button (see figure 1)

Step 2

(Figure 2)
Process Structure Editor (see figure 2)

Step 3

(Figure 3)
New View is added (see figure 3)

Step 4

(Figure 4)
Update Button (see figure 4)

Step 5

(Figure 5)
Update Button Location (see figure 5)


Creating Layers
To create a new Layer merely press the new Layer button (see figure 1) located at the top of the Process Structure Editor (see figure 2). You will notice a new Layer is automatically added to the Layer list (see figure 3) in the Process Structure Editor. Note that a Layer in and off itself has no properties. A Layer is a type of property used to associate objects. Layers can be turned off or on in any given view.

Step 1 | (Figure 1) | New Layer Button (see figure 1)
Step 2 | (Figure 2) | Process Structure Editor (see figure 2)
Step 3 | (Figure 3) | New Layer is added (see figure 3)


Creating Styles
To create a new Style merely press the new Style button (see figure 1) located at the top of the Process Structure Editor (see figure 2). You will notice a new Style is automatically added to the Style list (see figure 3) in the Process Structure Editor. Note that a Style is a set of canvas properties. These properties affect the canvas color, grid and grid colors and default drawing properties. To change any of the style properties first select the style you want to update, click on the canvas (see figure 4), modify any properties you want to change from the Properties Editor (see figure 5) then press the Update (see figure 6) button located on the Process Structure Toolbar (see figure 7).
Step 1

(Figure 1)
New Style Button (see figure 1)

Step 2

(Figure 2)
Process Structure Editor (see figure 2)

Step 3

(Figure 3)
New Style Added (see figure 3)

Step 4

(Figure 4)
Select / Click Canvas (see figure 4)

Step 5

(Figure 5)
Properties Editor (see figure 5)

Step 6

(Figure 6)
Update Button (see figure 6)

Step 7

(Figure 7)
Update Button Location (see figure 7)


Advanced Functions

Working With Process Revolution - Advanced Functions
Working with Advanced Features includes many tools and features that will greatly enhance your Diagrams and diagramming experience. This section will cover:

· Object Libraries
· Tracking Objects
· Creating Object Reports
· Applying Auto Layouts
· Creating Org/Tree Charts Automatically
· Creating Process Repositories
· Using the View / Layer Configurator
· Creating / Generating Presentations
· Exporting Diagrams to SVG
· Creating Super Presentations


Tracking Objects
Categories, Object Types, and Properties are some of the many features in Process Revolution which allow you to organize and analyze your diagrams and information. One way in which you could perform analysis on these objects is by using the Tracking Tool.

Prerequisites
Prerequisite 1) You will have already created a diagram.
Prerequisite 2) You will have already added Objects and Links to your diagram.
Prerequisite 3) You will have already added Categories, Object Types, or Properties to your diagram.

Tracking Categories
In the Process Structure Editor, select the Category you wish to track objects for. Next, click the Track Objects button [image] near the top of your Process Structure Editor. A selection dialog will pop up, allowing you to select from several filtering options (See Figure 2). Select the an option and click OK. If there are any objects belonging to this Category, they will now be listed for you. You now have the option of selecting any number of them from the list. Once you click OK, all your selected objects will now be selected in your diagram as well.

(Figure 2)

Tracking Object Types
In the Process Structure Editor, select the Object Type you wish to track objects for. Next, click the Track Objects button [image] near the top of your Process Structure Editor. If there are any objects belonging to this Object Type, they will now be listed for you. You now have the option of selecting any number of them from the list. Once you click OK, all your selected objects will now be selected in your diagram as well.

Tracking Properties
In the Process Structure Editor, select the Property you wish to track objects for. Next, click the Track Objects button [image] near the top of your Process Structure Editor. If there are any objects containing this Property, they will now be listed for you, along with their value (if any). You now have the option of selecting any number of them from the list. Once you click OK, all your selected objects will now be selected in your diagram as well.


Using the View / Layer Configurator
Process Revolution provides you with a sophisticated yet simple way of managing layers and views in order to better organize your information and diagrams. To initiate the View Layer Configurator, double click any layer in your Process Structure Editor.

viewlayers
(Figure 1)
Views
Adding a New View: To add a new view, simply click the "New" button on the top of the Configurator, as show in the figure below. A new view will automatically be added and given a default name. To change the name, see Editing a View's Name (See Figure 1). Also remember that New Views can be easily added while in the Diagram edit mode (see Creating Views)

Editing a View's Name: To edit the name of a view, simply click the "Edit" button on the top of the Configurator, as show in the figure below (See Figure 1). A dialog will pop up, asking you for the new name of the view. Enter the name you wish to apply, and click OK. Note: You may not edit the '[Master] ' view's name.

Deleting a View: To delete a view, first select the view you wish to delete in the View List on top of your Configurator, and then simply click the "Delete" button to the right of the list, as show in the figure below (See Figure 1). A warning will pop up, asking you to confirm your decision. Click OK to delete the current view. Note: You may not delete the '[Master]' view.

Layers
Setting the Default Layer: To select a default layer (the layer to which all new nodes in the current view will be added), simply click the desired layer in the Layer Grid (middle of the Configurator). This should populate the Layer Editing Form on the bottom with your layer's information. Then, make sure that the "Default" check box on the bottom is checked. (See Figure 1). To finish, click the "Update" button.

Locking/Unlocking a Layer: To lock or unlock a layer (Objects on locked layers can not be manipulated in any way), simply click the desired layer in the Layer Grid (middle of the Configurator). This should populate the Layer Editing Form on the bottom with your layer's information. Then, check or uncheck the "Locked" check box on the bottom. (See Figure 1). To finish, click the "Update" button.

Hiding/Showing a Layer: To set a layer as visible or not visible within the current view, simply click the desired layer in the Layer Grid (middle of the Configurator). This should populate the Layer Editing Form on the bottom with your layer's information. Then, check or uncheck the "Visible" check box on the bottom. (See Figure 1). To finish, click the "Update" button.

Editing a Layer's Name/Description: To edit a layer's name or description, simply click the desired layer in the Layer Grid (middle of the Configurator). This should populate the Layer Editing Form on the bottom with your layer's information. Then, set the layer name and description to the desired values. (See Figure 1). To finish, click the "Update" button.


Creating Object Reports
The Object Report Wizard guides you through the steps of creating an Object Report

Step 1 - Start Wizard and select Objects for Inclusion in Report (See Figure 1)

(Figure 1)

Step 2 - Select Object Properties to Report On (See Figure 2)

(Figure 2)

Step 3 - Set Report Header, Footer Options, Color, True/False and Category Reporting Options (see Figure 3)

(Figure 3)

Step 4 - Reserved for Future Versions of Process Revolution

(Figure 4)

Step 5 - Preview Report Data and Set output Colorization, font and grid attributes. (See Figure 5)

(Figure 5)

Step 6 - Print Page Setup (see Figure 6)

(Figure 6)

Step 7 - Print Preview (see Figure 7)

(Figure 7)


Object Libraries
Process Revolution Object Libraries provide users with custom-made objects which are neatly stored and categorized for easier grouping. These libraries allow users to drag and drop complex objects into their diagrams and use them as they would a regular object. For example, a Network Components library may contain objects representing common Networking hardware such as routers, switches, and hubs.

Prerequisites
Prerequisite 1) You have a Process Diagram already opened.
Prerequisite 2) You have access to a Process Revolution Object Library on your system.

Opening a Library
To open a library, simply click the "Open Object Library" button [image] on your File and Document Toolbar. Select your Object Library file (with .prl file extension), and it will be loaded up and docked into your Object Libraries tab.

(Figure 1)

Opening Multiple Libraries
You may have as many Libraries as you wish open at one time. Simply follow the procedure for Opening a Library (shown above) and repeat for each individual library you wish to open.

Managing Libraries
Often you may have several Object Libraries open at one time. To switch from one library to another, you should use the Library List on your Object Libraries Tab (See Figure 2). It allows you to view which libraries are open, and selecting one will automatically load that library into view for you.

(Figure 2)

Moving Objects From Library To Diagram
To add an object from the Library to a Diagram, simply left-click the object, drag your mouse over to the diagram (while still keeping your mouse clicked) and release your left-click while the mouse is over the diagram.

Creating Your Own Libraries And Objects
This feature will be available in a future release of Process Revolution. Check out our website frequently to find out when!


Applying Auto Layouts

Applying Auto Layout Algorithms
Process Revolution offers 10 Powerful categories of Auto Layout algorithms. The application of these layouts are simple, fast and reversible via Undo. As an example we will show the same graph below (purposely messed up quit a bit) using all 10 different layout algorithms. Our Process Diagram Layout Algorithms use a close match technique that does not necessarily find the best layout but a very good approximation. While it is possible to create software that creates a best match for a given algorithm these types of software would take a great deal longer to calculate and therefore is generally not used.

Note that not all layout algorithms may be applied to all types of Diagrams. An example of this would be a tree algorithm. If you think about a family tree a child cannot also be its own parent or grandparent. A second example would be attempting to apply a Planar Layout Algorithm to a Process Diagram that is not Planar. Diagrams which are required to be Planar include Tree, Circular Tree, Visibility Representation, Visibility Representation (Semi Orthogonal), Orthogonal, Semi-Orthogonal and Planar.

examples - layouts - before layout is applied
(Figure 1)

Tree Algorithm | Orthogonal Algorithm
Circular Tree Algorithm | Semi-Orthogonal Algorithm
Hierarchical Algorithm | Visibility Representation Algorithm
Symmetrical Algorithm | Visibility Representation (Semi-Orthogonal) Algorithm
Circular Algorithm | Planar Algorithm

When applying layouts the 'Select Objects' dialog will appear to confirm the objects that are to be included in the layout (see figure 2). The selection choices includes 'All Object', 'All Logical Objects', 'All Selected Objects' and 'All Logical Selected Objects'.

(Figure 2)


Tree Algorithm

Tree Algorithms
The Tree Algorithm will place the Root Object at a starting point (Left, Right, Top or Bottom). The tree then places all direct descendants of the Root on the same level. The algorithm will continue until no more children exist. The Tree Algorithm will only operate on Tree type Diagrams. In a tree Process Diagram every object has one and only one parent accept the top most object know and the root. Two good examples of uses for Tree Diagrams are showing lineage in families or organizational charts.
examples - layouts - tree
Note: Trees are a Planar Process Diagram Type
Note: Trees Have One and Only One Root Object
Note: Each Object Has One And Only One Parent (Except for the Root Object)


Circular Tree Algorithm

Circular Tree Algorithms
The Circular Tree Algorithm will place the Root Object at the center of the diagram. All direct children will be pushed out in a circular manner. Then each next child level will be pushed out into a circular pattern. The Circular Tree Algorithm will only operate on Tree type Diagrams. In a tree Process Diagram every object has one and only one parent accept the top most object know and the root.
examples - layouts - circular tree
Note: Trees are a Planar Process Diagram Type
Note: Trees Have One and Only One Root Object
Note: Each Object Has One And Only One Parent (Except for the Root Object)


Hierarchical Algorithm
The Hierarchical Algorithm is very close to the tree algorithm when implemented. The algorithm attempts to find root Nodes. Then it places on the next level directly linked children continuing down until the entire Process Diagram is completed. Children in a Hierarchical layout can, however, link back to parent or other higher level objects.
examples - layouts - hierarchical


Symetrical Algorithm

Symmetrical Algorithms
The Symmetrical Algorithm will attempt to find symmetry in connected objects and lay out the Process Diagram in a visually appealing manner.
examples - layouts - symetrical


Circular Algorithm

Circular Algorithms
The Circular Algorithm will place all objects around the perimeter of a circle. The algorithm attempts to place objects next to or close to directly connected objects. Circular algorithms are often seen in use by law enforcement artificial intelligence applications showing relationships between criminal elements based on their interactivity or arrests. Often this can help cases be solved in a faster manner due to first hand knowledge not discernible in a Process Diagram but when used in conjunction with the circular layout patterns can be visually recognized quickly.
examples - layouts - circular


Orthogonal Algorithm

Orthogonal Algorithms
The Orthogonal algorithm will organize a Process Diagram in a manner that places all links in an Orthogonal manner. This means that all links can be comprised of multiple segments but each segment is perpendicular to the next. A link that requires no additional segments will travel out of one Object either horizontally or vertically directly to the next object. Objects can be resized to allow for better Object and Link placement.
examples - layouts - orthagonal


Semi-Orthogonal Algorithm

Semi-Orthogonal Algorithms
Semi-Orthogonal Diagram is a variant of the Orthogonal Diagram,. The Semi-Orthogonal Process Diagram will use the same layout algorithms used in the Orthogonal Algorithm while not imposing a change of shapes to rectangular or links to purely perpendicular types. The Last and first segment of the Semi-Orthogonal Process Diagram can be represented at any angle not just perpendicular to the Object.
examples - layouts - semiorthagonal


Visibility Representation Algorithm

Visibility Representation Algorithms
Visibility Representation Diagrams are types of Planar Diagrams that are often used to show logic state and Software Layout. This Algorithm will size shapes automatically and convert all shapes to rectangles.
examples - layouts - visibility representation
Note: Visibility Representation Diagrams are a Planar Process Diagram Type


Visibility Representation (Semi Ortho) Algorithm

Visibility Representation (Semi Orthogonal) Algorithms
Visibility Representation Diagrams are types of Planar Diagrams that are often used to show logic state and Software Layout. The Semi-Orthogonal version of the Visibility Representation algorithm does not change shape type of size
examples - layouts - visibility representation (semi ortho)
Note: Visibility Representation (Semi Orthogonal) Diagrams are a Planar Process Diagram Type


Planar Algorithm

Planar Algorithms
The Planar algorithm will lay out diagrams in a planar manner retaining a triangular shape.
examples - layouts - planar
Note: Planar Diagrams are a Planar Process Diagram Type


Creating Org/Tree Charts Automatically

Creating Org Charts / Tree Diagrams Automatically
The Org Chart Wizard guides you through the steps of creating an Organizational Chart or Tree Process Diagram automatically and quickly by importing organizational/Tree information from a file source.

In this example we will import a file labeled 'TestHierarchy.CSV' into our Wizard. The information contained in this file is as follows (Table 1)

ID,SID,Title,Last,First,Tel,City,state
h0001,,CEO,Flintstone,Fred,024-333-1212, Bedrock, New Stone
h0002,h0001,VPOPS,Rubble,Barney,024-333-1212, Bedrock, New Stone
h0003,h0002,Marketing,Flintstone,Wilma,024-333-1212, Bedrock, New Stone
h0004,h0001,VPIS,Rubble,Betty,024-333-1212, Bedrock, New Stone
h0005,h0001,VPDev,McDraw,QuickDraw,024-333-1212, Bedrock, New Stone
h0007,h0005,VB Dev,Eye,Pop,024-333-1212, Bedrock, New Stone

(Table 1)

This information can be viewed more easily however in a table structure (see Table 2). Common tools that allow us to look at CSV (Comma Separated Variable) files in a more readable format include Spreadsheets (Such as Microsoft Excel) or Database Editing Software (Such as Microsoft Access).

ID | SID | Title | Last | First | Tel | City | state
h0001 |  | CEO | Flintstone | Fred | 024-333-1212 | Bedrock | New Stone
h0002 | h0001 | VPOPS | Rubble | Barney | 024-333-1212 | Bedrock | New Stone
h0003 | h0002 | Marketing | Flintstone | Wilma | 024-333-1212 | Bedrock | New Stone
h0004 | h0001 | VPIS | Rubble | Betty | 024-333-1212 | Bedrock | New Stone
h0005 | h0001 | VPDev | McDraw | QuickDraw | 024-333-1212 | Bedrock | New Stone
h0007 | h0005 | VB Dev | Eye | Pop | 024-333-1212 | Bedrock | New Stone

(Table 2)

Step 1 - The Wizard will start with a greeting screen (See Figure 1)

(Figure 1)

Step 2 - Select the File from which you want to import Org Chart data (See Figure 2)

(Figure 2)

Step 3a - Set which column contains employee 'Position ID' information (EmployeeID, Social Security# etc)(See Figure 3a). In this step, if the wizard does not automatically fill in the table with data, you might need to specify what character is being used to separate fields in the file. Typically this is a comma but 'Tab', 'Spaces' or other ASCII characters might be used.

(Figure 3a)

Step 3b - Set which column contains the employees 'Superior ID'(See Figure 3b)

(Figure 3b)

Step 4 - Set how you want Objects to look in the Process Diagram(See Figure 4)

(Figure 4)

Step 5 - Set how you want links to look in the diagram(See Figure 5)

(Figure 5)

Step 6 - Specify which fields in the file are to be shown in objects in the diagram(See Figure 6)

(Figure 6)

Step 7 - Upon arriving at the ending screen you can press 'Finish' to complete your Org Chart. You will be brought to the 'Tree Layout' wizard for final format information.(See Figure 7)

(Figure 7)

Step 9 - Your Org chart is finished and presented to you. (See Figure 1)

(Figure 9)


Creating A Process Repository


Linking Diagrams
The ability to Link Diagrams (or more specifically individual nodes on a diagram) is very powerful. With this feature we can link an Object in a stand alone Process Diagram to do the following:

Bring up a specific web page, Bring up a specific Application, Bring up a Document in its native editor (IE Word, Excel, Paintshop etc) and others.

Even more powerful is the ability to hyperlink documents within a Process Repository. This allows the user to create Process Repositories that drill into other diagrams automatically. When creating Web Super Presentation these hyperlinks are retained. Lets look at an example of doing this

Prerequisites
Prerequisite 1) You will have already have a Process Repository opened
Prerequisite 2) You will have already have one other diagram created in the Repository
Prerequisite 3) You have created another diagram and are working on that one presently

Steps

Step 1) Place an Object on the new diagrams canvas and leave that new object selected. If you scroll down in the Properties Inspector you will see (see figure 1) a property called 'Link-Access'

(Figure 1)

Step 2) Set the 'Link-Access' property to 'Repository Document' from the select list (see figure 2)

(Figure 2)

Step 3) Go to the Link Address Property (see figure 3) (a button will appear in the properties grid) in the properties inspector (just below the 'Link-Access' property). Click this button

(Figure 2)

Step 4) Select the Diagram you wish to link to in the Select Diagram dialog window (see figure 4)

That's it you have just linked diagrams. Now any time you wish to hyperlink to the linked diagram just double click on the node you have just set these properties for. It is a good idea to use the 'Off Page connector' shape and perhapts an identifying color to bring your attention to the fact that you have a link here. See Diagram Symbols for more information and shapes descriptions.


Creating/Generating Presentations

Creating and Generating a Presentation
Creating and generating a presentation is simple but does require the user to follow some basic guidelines. The Steps are basically broken down into the categories of Prerequisites, Creation and Generation

Prerequisites
Prerequisite 1) You will have already created a new diagram
Prerequisite 2) You will have already added Objects and Links to the Diagram
Prerequisite 3) You will have already added all of the snapshots to Process Diagram that you want to include in your presentation

Creation
Creation 1) Add a new Presentation to the Process Diagram by pressing the new presentation button located on the Process Structure Editor.
Creation2) Next we will drag the Snapshots or Reports we wish to include onto the Presentation. Note we have included into our presentation 3 snapshots labeled Snapshot1, Snapshot2 and Snapshot3 respectively (see figure 1).

(Figure 1)

Generation
Generation 1) Double click on the presentation you want to generate (this is the Presentation Icon you created in the Process Structure Editor.

Generation 2) Presentation Type (Currently only HTML Presentations are supported - Print, RTF and PDF will follow in a future release), Description, Presentation Header/Title and Justifications are set on this screen. (See Figure 2)

(Figure 2)

Generation 3) Components may be added or deleted from the presentation on this screen. (See Figure 3)

(Figure 3)

Generation 4) Presentation Logo (visible in the upper right area of HTML presentations), colors and font settings are set on this screen (See Figure 4)

(Figure 4)

Generation 5) Properties to be shown on object drill downs are set on this screen. Note this feature only pertains to HTML presentations. (See Figure 5)

(Figure 5)

Generation 6) Presentation generation locations are set on this screen (See Figure 6)

(Figure 6)

Generation 7) Presentations are saved or saved and generated from this screen(See Figure 7)

(Figure 7)

Generation 8) The generated Presentation is displayed for viewing. (See Figure 8)

(Figure 8)


Exporting Diagrams to SVG

Exporting Diagrams to SVG format Files
SVG (Scalable Vector Graphics) is a relatively new imaging technology based on XML. It allows you to create highly detailed images by describing vectors and other objects (such as text, symbols, etc.) However, you need not be an SVG guru to be able to exploit this technology's full myriad of capabilities! Process Revolution's diagrams can be easily and expertly exported to this format by using the SVG Export Wizard. Exporting a Process Diagram to SVG is fast and simple, and to ensure that you are able to take advantage of all the possibilities our SVG Export Wizard provides, you should adhere to the following guidelines:

Prerequisites

Prerequisite 1) You will have already created a diagram.
Prerequisite 2) You will have already added Objects and Links to your diagram.
Prerequisite 3) You will have already chosen the Export option from your File menu and chosen a name and location for your SVG Export. This initiates the wizard.

Generation
Generation 1) You are greeted by a welcome message.

(Figure 1)

Generation 2) The SVG Export Wizard allows you to add object property viewers and boxes to your SVG Export. This screen lets you choose what general size you would like your Export to use when adding such features. Also, you may set a customized scaling percentage for the Export to be initialized to.(See Figure 2)

(Figure 2)

Generation 3) Process Diagram layer settings are carried over into your SVG Export. This screen lets you decide how links should be displayed based on a user's current layer settings. (See Figure 3)

(Figure 3)

Generation 4) As mentioned above, SVG Exports can be customized to contain a Property box (which shows custom node properties which you can choose to fit your needs), and Outlink/Inlink boxes (which are used to display the relationship between objects in a diagram). This screen allows you to choose which (if any) of these options you wish to enable. (See Figure 4)

(Figure 4)

Generation 5) If you've chosen to add a Property Box to your Export, you will then be shown this screen, which allows you to add any number of preset and custom properties from your Process Diagram to the SVG Property Box. (See Figure 5)

(Figure 5)

Generation 6) For each optional Box that you've chosen to add to your Export (if you've decided not to have any, you may skip this step), you will be shown a screen like this one, which allows you to choose the color scheme for that Box. (See Figure 6)

(Figure 6)

Generation 7) This screen allows you to set your layer settings. Here you may choose which settings to set as default, and also helps you determine whether you wish to allow users to manipulate these layer settings. (See Figure 7)

(Figure 7)

Generation 8) You're finished! This screen allows you to generate your SVG Export by clicking OK. (See Figure 8)

(Figure 8)


Creating Super Presentations
A Super Presentation is a basically a way to group several individual Presentations into one composite Super Presentation. Creating and generating a Super Presentation is simple but does require the user to follow some basic guidelines. The Steps are basically broken down into the categories of Prerequisites, Creation and Generation

Prerequisites

Prerequisite 1) You will have already created a new repository.
Prerequisite 2) You will have already created at least one new diagram within that repository.
Prerequisite 3) You will have already added Objects and Links to your diagram(s).
Prerequisite 4) You will have already added all of the presentations to the diagram(s) that you want to include in your super presentation.
Prerequisite 5) You will have already saved each individual diagram within your repository in order to have the most current version of your Presentation(s) available to the Super Presentation wizard.

Creation
Creation 1) Add a new Super Presentation to the repository by pressing the 'New Super Presentation' button [image] located on the Process Repository Editor.

Generation
Generation 1) Double click on the Super Presentation you want to generate (this is the Super Presentation Icon you created in the Process Repository Editor. You will be greeted by a message introducing you to the Super Presentation Wizard.

(Figure 1)

Generation 2) The Super Presentation's Title, Description, and their respective alignments are set next. (See Figure 2)

(Figure 2)

Generation 3) A logo is added next. This screen allows you to choose a logo, customize its size, and a preview box facilitates a view of your logo using your current options. If you do not wish to choose a logo, please leave the logo path field empty. (See Figure 3)

(Figure 3)

Generation 4) The Super Presentation's color scheme and Font are chosen next. Since each individual Presentation may have its own color and font settings, you have the option to keep these settings for each Presentation, or to override all individual settings by using only the Super Presentation's color and font options. (See Figure 4)

(Figure 4)

Generation 5) To choose which Presentations you want to include in your Super Presentation, this screen provides a tree view of your repository. Presentations are symbolized using their own unique icon, and you can select them by placing a check mark in the box next to each one. There is a preview box available if you wish to click on a diagram (or one of its Presentations) and see a mini-screen shot of that diagram. This may aid you in determining which Presentations you wish to add. (See Figure 5)

(Figure 5)

Generation 6) Your Super Presentation's generation location is set on this screen (See Figure 6)

(Figure 6)

Generation 7) If you wish to add SVG (Scalable Vector Graphics) exports of any of your diagrams to the Super Presentation, you may do so by selecting the diagrams from this screen. For more details regarding the SVG Export Wizard, please read the following section. (See Figure 7)

(Figure 7)

Generation 8) You're finished! This screen allows you to generate your Super Presentation or just save it for future use (Note: If you choose to generate your Super Presentation, it's automatically saved for you as well). (See Figure 8)

(Figure 8)

Note that if SVG images where indicated to be included in the Super Presentation then the SVG export configuration will be shown so that global SVG export properties may be specified.


Concepts
Process Revolution is a fairly free form Diagramming tool. What this means is that very few restrictions are placed on a diagram. As various plugins become available these plugins might place restrictions on a specific Process Diagram type. This section describes some basic concepts and rules of the application


Process Diagram

Diagram
A Process Diagram is simple to create yet allows users advanced features as competency grows with the product. The basics of all Diagrams include a Objects which may be linked. These Objects and Links may range from simple Block Diagrams, Flow Charts, Flow Diagrams, Logic Diagrams to more advanced Diagrams. Process Revolution Expands on these basic diagrams to include extended functionality and features. All Process Revolution Diagrams include the following:

Process Diagram Components
Canvas
Layers
Links
Objects
Styles
Views

Advanced Process Diagram Concepts
Categories
Custom Properties
ObjectTypes
Presentations
Reports
Snapshots


Canvas
The Canvas is the background of a Diagram. Think of the Canvas as the drawing surface on top of which Diagrams are placed. The canvas is where all objects and Links are placed (see Figure 1). Note that the ZOrder of visible parts of a Process Diagram are as follows the following items should be known about the Canvas:

1) The Canvas is the Bottom Most visible part of a Diagram. It may have a user specified color. Also note that you can Zoom in and scroll the canvas so as to change the viewed portion of the canvas.

2) The Canvas can have a Grid (Invisible, dot, dash or Line)

3) The Grid is the next visible part of a Diagram. Note that the Grid may be visible or hidden at the users discretion.

4) Objects and Links are placed next on a Diagram. Note that Object and Link ZOrder is changeable at the users discretion.

The Process Diagram zoom level can be changed allowing Process Diagram to fit to the Process Diagram Workspace or perhaps just a portion thereof.
When the Zoom Level Changes the Objects and Grid will scale accordingly.

canvas zoom
(Figure 1)


Layers
Layers allow for more flexibility in creating and displaying Diagrams. The way in which layers are used is at the User discretion. Several facts should be understood of Layers:

· Every Process Diagram has at least one Layer. It is preset and may not be deleted. It is named the '[Master]' Layer
· Every Object Placed on a Process Diagram is associated with a Layer
· Layers can be turned on or off by adjusting Layer properties of a View


Links
Links are drawn on the canvas connection Objects. These Links take the form of a Line, Multi Part Line or Curve (Bezier or Cubic Spline). All Links have properties that are broken down into the following categories:

· Appearance
· Behaviour
· Cost
· Font
· Position
· Text

Links should be thought of as items in a Process Diagram that show how granular information is connected or linked and in what direction an Objects occur in a logical flow. A link cannot exist without an object being connected to each end. A link is automatically deleted if the origination or destination point object is deleted .


Objects
Objects are drawn on the canvas. These objects take on the form of a shape. All Objects have properties that are broken down into the following categories:

· Appearance
· Behaviour
· Cost
· Font
· Linking
· Logic
· Position
· Text

Objects should be thought items in a Process Diagram that hold granular information about the Diagram. Objects can be associated with other Objects by connecting them with Links.


Styles
Styles allow grouping of Canvas, Object and Link properties to be recalled by merely selecting that style.


Views
Views are a feature that extend a great amount of functionality to the Diagram. The View ties several other items together including Styles, Layers, Zoom Levels, Process Diagram Scrolled area. Several facts should be understood of Layers:

· Every Process Diagram has at least one View. It is preset and may not be deleted. It is named the '[Master]' View.
· Every View has a default Layer. The default Layer is the layer that is associated with new Objects
· Every View can customize which Layers are locked or Unlocked
· Objects on locked layers can not be manipulated in any way
· Every View can customize which Layers are visible and invisible.
· Objects on invisible Layers become both Locked and Invisible while in that view
· If a Layer is made the default layer it must be visible an Unlocked
· Every View has a Zoom Value. This is set whenever the user created a View or updates it
· Every View has Scrolling Values. What ever that last position of the upper left hand point of a Process Diagram will be retained when a View is set.


Categories
Categories present a method by which the Process Diagram can categorize 'Typed' or 'Non Typed' Objects. Categories can offer higher levels of granularity by allowing Categories to belong to Categories. One common example of using Categories is to Break town Taxonimies of Investment Devices in a Portfolio (See figure 2) or perhaps modes of transportation(See figure 2). Association of Objects to a specific Category is a powerful tool in doing Diagrams.

(Figure 1)

(Figure 2)

Categories are created instantly by pressing the Category [image] button.


Custom Properties
Custom Properties allow for customization of data associated with Process Diagram Objects. This could be Telephone Numbers, Floor Numbers, Object Identifications or just about anything the Process Creator can think of. Properties can be specified to be of a specific data type, selectable from a list or selectable from a list with aliased data. For more information on creating Custom Properties see the Property Configuration Window.


Object Types
Objects may be identified as a specific type of Object. These Typed Objects known as ObjectTypes are assigned to a Category. ObjectTypes are the most specific way of categorizing Objects. While it might be acceptable to identify an Object using only categories often this higher level of specification is needed. Form morpe information on Object Types see the Object Type Configuration Window.


Presentations
Presentations allow for the creation of mini Web sites. Future releases will include the generation of Printed, RTF and PDF presentations. Presentations are created thru the Presentation Wizard. See Creating/Generating Presentations for step by step instructions.


Reports
Object Reports allow for the presentation of Object Properties in table format. Reports are defined thru the Object Report Wizard.


Snapshots
Snapshots allow the Process Creator to group objects into recallable collections. These Snapshots can later be quickly selected and modified or be used to generate images. Snapshots are a core component of Presentations.


Books
Books are top level storage areas for Diagrams or Process Folders


New item
A Super Presentation is a basically a way to group several individual Presentations into one composite Super Presentation. Creating and generating a Super Presentation is simple but does require the user to follow some basic guidelines. The Steps are basically broken down into the categories of Prerequisites, Creation and Generation

Prerequisites

Prerequisite 1) You will have already created a new repository.
Prerequisite 2) You will have already created at least one new Process Diagram within that repository.
Prerequisite 3) You will have already added Objects and Links to your diagram(s).
Prerequisite 4) You will have already added all of the presentations to the diagram(s) that you want to include in your super presentation.
Prerequisite 5) You will have already saved each individual Process Diagram within your repository in order to have the most current version of your Presentation(s) available to the Super Presentation wizard.

Creation
Creation 1) Add a new Super Presentation to the repository by pressing the 'New Super Presentation' button located on the Process Repository Editor.

(Figure 1)

Generation
Generation 1) Double click on the Super Presentation you want to generate (this is the Super Presentation Icon you created in the Process Repository Editor. You will be greeted by a message introducing you to the Super Presentation Wizard.

Generation 2) The Super Presentation's Title, Description, and their respective alignments are set next. (See Figure 2)

(Figure 2)

Generation 3) A logo is added next. This screen allows you to choose a logo, customize its size, and a preview box facilitates a view of your logo using your current options. If you do not wish to choose a logo, please leave the logo path field empty. (See Figure 3)

(Figure 3)

Generation 4) The Super Presentation's color scheme and Font are chosen next. Since each individual Presentation may have its own color and font settings, you have the option to keep these settings for each Presentation, or to override all individual settings by using only the Super Presentation's color and font options. (See Figure 4)

(Figure 4)

Generation 5) To choose which Presentations you want to include in your Super Presentation, this screen provides a tree view of your repository. Presentations are symbolized using their own unique icon, and you can select them by placing a check mark in the box next to each one. There is a preview box available if you wish to click on a Process Diagram(or one of its Presentations) and see a mini-screen shot of that diagram. This may aid you in determining which Presentations you wish to add. (See Figure 5)

(Figure 5)

Generation 6) Your Super Presentation's generation location is set on this screen (See Figure 6)

(Figure 6)

Generation 7) If you wish to add SVG (Scalable Vector Graphics) exports of any of your diagrams to the Super Presentation, you may do so by selecting the diagrams from this screen. For more details regarding the SVG Export Wizard, please read the following section. (See Figure 7)

(Figure 7)

Generation 8) You're finished! This screen allows you to generate your Super Presentation or just save it for future use (Note: If you choose to generate your Super Presentation, it's automatically saved for you as well). (See Figure 8)

(Figure 8)


Folders
Process Folders allow for further levels of granularity when storing Diagrams. Process Folders can reside in Books or Other Process Folders.


Linked Diagrams
Diagrams Can be linked to other Diagrams in a Process Repository. This allows for Sub Processes to be defined. Linkages can occur to Diagrams within the same folder or other folders and books.


Super Presentations
A Super Presentation is a composite of other previously created presentations within a single repository. A Super Presentation has an added benefit of allowing SVG images to be included as well. See Creating Super Presentations for step by step instructions.


Diagram Types and Symbols
There are many types of diagrams used to represent varied types of information. Many diagram types are commonly used while others are very specific and used only rarely. New types seem top be developed at a whim and purported to be the 'New' standard in representation of ideas, flows, processes etc. The type of diagram you can create is limited only by your imagination. several useful types of diagrams commonly in use includes the following:

Block Diagram
Cause and Effect Diagram
Flow Chart
Functional Flow Chart
Process Diagram
Global Process Diagram
Organizational Diagram

These diagrams share common elements. Objects (also known as Vertices or Nodes) and Links (also known as Edges or Arcs). Objects can be represented by different shapes that allow for the conveyance of actions or physical items.


Diagram Symbols
When doing diagrams it is best to stick to the following rules:

· 1) Use the least amount of unique symbols in a diagram as possible.
· 2) Use standardized symbols as defined by ANSI or other organizations our company/client uses
· 3) When doing Flow/Process charting it is no time to prove technical prowess with rarely used symbols.
· 4) Fancy or custom symbols are best left to other types of charting - not business idea conveyance charting (Network layouts, UML and similar charting is a time when using alternative symbols are fine)
· 5) Your diagrams should be highly readable and using the minimal amount of objects to completely document the type of diagram you are doing

In keeping with the above points below is a listing of commonly used diagramming symbols:

Process Start Symbol / Process Finish Symbol - Used as a demarcation point showing the beginning or end of a process

Process Symbol - Used to denote activity or change in an item

ISO 9000 Process Symbol - Used to denote an ISO 9000 process. Useful when creating an ISO 9000 certified environment. As processes are made ISO 9000 compliant there symbol can indicated by this new symbol as opposed to a rectangle or other process symbol.

Alternative Process Symbol - Used to denote activity or change in an item

Predefined Process Symbol - Used to denote a predefined process. Posibly a process commonly used in an organization or a process controlled by another company or ddepartment. Possiblyossibly

Off Page Connection Symbol - Used to Specify a jump to a secondary Processes

Connection Symbol - a small circle is used to specify a jump to a Processes

Inspection Symbol - A large circle is used to signify a stoppage of process flow until evaluation has occurred

Transportation Symbol / Movement Symbol - Used to denote movement of items / objects / physical items between locations.

Decision Symbol / Branching Symbol - used to indicate that the process branches here based on decision, value of condition

Document Symbol - A Document / Paper Document symbol

Multi Document Symbol - Documents / Multiple documents symbol

Collate Symbol - used to indicate collation of documents or data

Delay Symbol - Used to indicate a delay in the processes. This could be forced or user requested delay in process flow

Storage Symbol - used to denote a storage of an item,document or data for further processing. An significant usage in a process(s) could indicate inefficiencies especially when striving for continuous flow or increased production

Extraction Symbol - Used to denote the extraction of an item, document or data for use, transmission, processing or transportation

Preparation Symbol - Used to denote preparation of items or information

Display Symbol - Used to indicate a display of data

Summing Junction Symbol - Used to indicate the summation of data

Or Symbol - Used to indicate that a logical 'Or' operation is occurring on data

Sort Symbol - Used to indicate data is being sorted

Direct Access Storage Symbol - This is used to depict that the process accesses stored data regardless of the storage method. This is not a representation of data but the actual data itself.

Internal Storage Symbol

Magnetic Disk Symbol / Database Symbol

Sequential Access Storage Symbol

Data Symbol - Used to denote actual data

Stored Data Symbol - Used to denote stored data of various types (disk, tape, database, memory etc)

Manual Operation Symbol - Used to indicate an operation that is performed manually

Manual Input Symbol - Used to indicate the manual input of information / data into a process

Card Symbol - Used to indicate older type punched data cards

Punched Tape Symbol - Used to indicate older type punched data tapes


Block Diagram
A Block Diagram (see figure 1) or Block Flow Diagram is a commonly used type of flow chart. This type of diagram provides a simplified view of a more complex diagram or process. This diagram should allow for high level overviews, overviews of several diagrams with each diagram represented by a single block or simply as a starting point prior to creating a complex process diagram.

(Figure 1)


Flow Chart
A flow chart (see figure 1) can be thought of as the next generation in diagramming past Block Diagrams. A Flow chart will have more descriptive and detailed steps required to complete a process. The Shapes used in the diagram will also be more varied and more specific that the simple blocks found in a Block Diagram.

(Figure 1)


Global Process Diagram
A Global Process Diagram (see figure 1) is used for the specific purpose of describing the high level components of administrative business process.

(Figure 1)


Organizational Diagram
An Organizational Diagram is a type of Tree Diagram that is usually represented with the highest level person in an organization at the top of the diagram with direct reports one level down. This is the most common type of diagram that depicts a companies or departments employees.

(Figure 1)


General Diagram (Graph) Concepts
Graph theory is a broad subject. Graph theory, as it pertains to Process Revolution, is :

· The drawing of graphs (Diagrams, Flow Charts etc), Edges (also known as Arcs, Links, Connections etc), vertices (also known as Nodes or Objects)

· The layout of these Edges and Vertices layouts

· Alternative layouts of these Edges and Vertices

· Navigation between these Edges and Vertices

· The identification of categories of graphs based on characteristics of a specific graph (Trees, Planar etc)

Silicon Mindset intends to add significantly to this section on a regular basis. It is also the intent of Silicon Mindset to present brief papers, by experts in the field of Graph Theory, on our web site and within this help file with future revisions.


Ancestor
A parent of an Object in a tree, the parent of the parent, etc.


Child
An Object in a tree referred to by a parent Object. Every Object, except the root, is the child of some parent.


Complete Graph
An graph (or Diagram) with an Link between every pair of Objects.


Descendant
A child of an Object in a tree, any of the children of the children, etc.


Directed Graph
A Directed graph is a type of graph where the Links are directional. Many graphing / flow charting applications use links more as symbols with no concern for link direction. Process Revolution utilizes Directed graphs which allow us to specify the direction that is navigated between Objects linked together.


Euler Cycle
A path through a Diagram(Graph) which starts and ends at the same Object and includes every Link exactly once.


Forest
A collection of one or more trees. More formally an acyclic graph.


Graph
A set of items connected by edges. Each item is called a vertex. Formally, a graph is a set of vertices and a relation between vertices, adjacency. Since Process Revolution uses documents that contain additional information, relationships and labels. Graphs are an integral part of a Silicon Mindset Diagram, but it is just that, a part. Silicon Mindset Diagrams contain extended information such as Layers, Views, Snapshots, Categories, Object Types. Custom Properties etc.

Note that many applications use various naming conventions for parts of a graph.
1) Common alternatives for the term edge is Links. Process Revolution uses the term Link as well.
2) Common alternatives for the term vertex is Node. Process Revolution uses the term Object to denote a term more readily understood by the majority of users..


Hamiltonian Cycle

Hamiltonian Cycle Graph
A path through a Process Diagram which starts and ends at the same Object and includes every other Object exactly once.


Interior Object
An Object of a tree which has one or more child Objects, equivalently, one which is not a leaf.


Leaf
A terminal or "bottom" Object of a tree, i.e., an Object with no child.


Parent
Of an Object: the tree Object conceptually above or closer to the root than the Object and which has a link to the Object. See the figure at tree.


Planar Diagrams
Planar Diagrams are any type of Process Diagram which may be drawn without having any links that cross over other links. This does not mean that a Process Diagram has to be drawn without link cross over's - just that it could be drawn without link cross over's.

It is simple to visually confirm that the Process Diagram in figure 1 is Planar. We can absolutely be assured of this since no links cross over each other

(Figure 1)

The Process Diagram from Figure 1 has been changed to have an additional link between Object 'D' and Object 'B'. The new Process Diagram is viewed in figure 2 and does not appear to be Planar. This new diagram, in fact, is not Planar and attempting to do the Planar Layout method confirms this by returning an error message to the user that a Planar Layout method was attempted on a Graph that is not Planar

(Figure 1)


SubTree
The tree which is a child of an Object.
Note: The name emphasizes that everything which is a descendant of a tree Object is a tree, too, and is a subset of the larger tree.


Tree
A Process Diagram accessed beginning at the root Object. Each Object is either a leaf or an interior Object. An interior Object has one or more child Objects and is called the parent of its child Objects. More formally, a connected forest. Contrary to a physical tree, the root is usually depicted at the top of the structure, and the leaves are depicted at the bottom


FAQs

FAQs (Frequently Asked Questions)
This section will attempt to answer the most often asked questions. Many answers to these question can be found in other sections of this help document and information will be provided from these other sections when existent.

How many pages can a Process Diagram be?
How much system resources are consumed when running Process Revolution?
How large can a Process Diagram be?
How many Objects and Links can exist in a Diagram?
What Features are planned for future releases to Process Revolution?
Can I Upgrade my current Licensed Version of Process Revolution to future versions?
Why can't I Export GIF files or import GIF files for use in Process Diagram Objects or Process Diagram backgrounds?
Does product recommendations or complaints get considered?
What are the Events used for in Diagrams?
I notice I can Open Previous Versions of Process Revolution but I can't save it into these formats. Is this a bug?
I would like to get a custom version of Process Revolution created for integration with my product is this possible?

How many pages can a Process Diagram be? (Top)
There is no real limitation on the number of pages in a diagram. The number of pages that a Process Diagram will produce is determined by the Zoom settings, page margin sizes, page orientation and Actual Process Diagram(Non Zoomed) size. A very large Process Diagram that zoomed into at a high Zoom factor will produce a great number of pages.

How much system resources are consumed when running Process Revolution? (Top)
Process Revolution uses approximately 17% of the GDI and System memory. Silicon Mindset is continuing to strive to shrink the GDI (Graphics Memory) requirements and System Memory requirements.

How large can a Process Diagram be? (Top)
If your Process Diagram is too big, you may receive a "outside allowed area" error message. The drawing limits depend on the operating system:
Under Windows 95 or Windows 98, coordinates are restricted to 0 to 32767 pixels (*). This is in fact an operating system limit: under Windows 95 or 98, coordinate values are restricted to -32 768 to 32 767. Although coordinates values appear to be 32-bit values, only the lower 16 bits are used in W95 or W98.

How many Objects and Links can exist in a Diagram? (Top)
There is no maximum for the number of nodes or links. You can create a Process Diagram with 0 nodes and links if you need (a powerful processor is necessary in this case).

What Features are planned for future releases to Process Revolution? (Top)
Planned features will be announced on our web site on a regular basis.

Can I Upgrade my current Licensed Version of Process Revolution to future versions? (Top)
Yes.
Example 1) The Full Price paid for your current version can be applied to a more advanced copy of the current version. So if you purchased Version 3(SE) for X dollars. and you want to upgrade to Version 3(Pro) which sells for Y dollars. You will pay Y-X dollars.

Example 2) You purchased Version 3(SE) for X Dollars. You want to Upgrade to Version 4(SE) for Y Dollars. You will pay Y-(X/2) dollars.

Example 3) You purchased Version 3(SE) for X Dollars. You want to Upgrade to Version 4(Pro) for Y dollars. As in example 2 you will pay Y-(X/2) dollars.

Why can't I Export GIF files or import GIF files for use in Process Diagram Objects or Diagram backgrounds? (Top)
Gif files are covered by a patent owned by Unisys Corporation. Unisys currently requires prohibitive fees to license this file technology forcing Silicon Mindset (any very many other firms) to not support the Gif File Format.

Does product recommendations or complaints get considered? (Top)
Every day someone in Silicon Mindset reads and relays complaints and suggestions to all development and planning groups.

What are the Events used for in Diagrams? (Top)
Currently Events are used in custom version and are planned for inclusion in version 4.

I notice I can Open Previous Versions of Process Revolution but I can't save it into these formats. Is this a bug? (Top)
Version 1 and 2 supported a non open format for files. Starting with version 3 Silicon Mindset Supports XML as its native format or Compressed XML (Using compression algorithms). Starting with Version 3 (Process Revolution 2002) all future versions will be forward and backward compatible

I would like to get a custom version of Process Revolution created for integration with my product is this possible? (Top)
Yes. All emails to procrev.custom@siliconmindset.com


.topic 1

.topic 841
Process Revolution is primarily used in the areas of Process Flow Charting and Process Documentation. Simply put Process Revolution is a multi faceted application that in its most basic use allow for the creation of:

Block Diagrams
Flow Charts
State Diagrams
Process Diagrams
Process Flows
Business Diagrams
...and much more

Once basic familiarity is gained with the product more advanced areas of the product can be learned such as

Adding user defined Object Types, Categories and Properties
Using Automatic Diagram Layout Algorithms
Generating Web Presentations
Generating Web Super Presentations
...and much more

Once a Diagram is created they may also be converted into the following image formats for insertion into other windows applications:

Bitmap Formats include
BMP
WBMP
TIF
PCX
JPG
PNG
TGA
..with others being developed

Vector Formats  (Retaining True Vector Information) include:
WMF
EMF
SVG
SVGZ
..with others being developed (including DXF and VML)

.topic 160
The Process Revolution concept is to radically simplify how ideas, processes and business/organization functions are documented and conveyed.  If you can point and click, draw on a napkin or write on a blackboard then you can easily use Process Revolution. Process Revolution brings Process Flow Charting and Process Documentation into abilities into the hands of users at all levels.

OK so what does this mean to Process Revolution users.  Most diagramming and flow charting packages are focused on creating visually appealing diagrams.  Some of these have very advanced features but digging down into the application to access these features can be a daunting task.  These two facts mean that the purpose of all Flow Charting and Diagramming packages go unrealized. This purpose is to:
Explain how Processes and Work Functions operate
Explain how  they can be improved
Show Where the Bottlenecks are

While Process Revolution can be used to help you with these task through the creation of simple diagrams and flow charts more complex projects can be realized without requiring advanced training.  Complex projects can consist of the following :

Creation of Process Repositories for the Storage of Process Books
The ability to create multiple levels of folders for the storage of hierarchical Diagrams
The addition of multiple diagrams into a single repository for grouping of interrelated information
The creation of Presentations inside of diagrams
The grouping of multiple presentation into Super Presentations spanning multiple diagrams
Generation of Presentations of Super Presentations into stand alone web sites

.topic 741
There are many great sources in both Print* and Web** Media that review in great depth the area of Process Documentation, Modelling, Business Reengineering and other related areas.  Some of our favorites are:

Books:

Web Sites:

National Institute of Standards and Technology
Dexter A. Hansen (Personal Web Site - No Relation to Silicon Mindset)
Medical Geared Site using Flow Charting techniques
Ryerson Polytechnic University's School of Radio and Television Arts

* Books referenced here are done so to help you increase your understanding in the areas of Process Documentation and Business Reengineering. These references are provided without request by the Author.  No relationship currently exists between Silicon Mindset, Inc or any of the Authors or Publishers referenced here.  We do believe that these are valuable sources, though, and hope that you purchase them as they provide great insight into mentioned areas for a relatively inexpensive cost. Note that Books and Journals fall out of print and may not be guaranteed to be available if you decide to purchase these.  Please visit our web site often for additional sources of information.

**Web sites, while valuable sources of information, can become unavailable at any time.  Silicon Mindset does not confirm that these listed sites will be available in the future. Please visit our web site often for additional sources of information

.topic 1021
Silicon Mindset is a software development and consulting firm based out of Delaware and New York.

Silicon Mindset, Incorporated in 1992, specializes in the development of Financial, Asset Management (both financial and physical), Banking, Methodology, Project Management and Process Documentation software.

Silicon Mindset can help your firm create Applications of outstanding quality without the risk of using obsolete or Bleeding Edge technologies.

Silicon Mindset can help build development teams and mentor existing ones.

Silicon Mindset...because business is the object!
Silicon Mindset...simple solutions to serious problems!

Silicon Mindset can be reached as listed below:

Mail
Silicon Mindset, Inc
367 Windsor Hwy
New Windsor NY, 12553
United States of America

Email
info@siliconmindset.com

.topic 1041
This project would not be considered complete without giving proper credit to those employees, partners and companies whose work enabled us to produce a superior product. These include:

Software we Licensed to Complete this product
Partners whose work assisted us in finishing this product
Employees whose tireless work gave life to this product

.topic 1101
Very few complex software products developed today are created from code or objects developed completely 'In House'. Silicon Mindset Process Revolution is no exception to this rule.  Just as Ford Motor Company does not make every component that goes in an automobile you purchase Software Publishers and Creators license (or buy out)  third party software on a regular basis.  This is true of companies such as Microsoft, Sybase, IBM and many others.  We have attempted to include a listing, while not required, of all third party software included or used in this product.

.topic 1081
Silicon Mindset greatly appreciates our many partners advice, prodding, suggestions and where applicable coding efforts that helped make Process Revolution a superior product. These include

Dave Harper and Targeted Systems Developement. Dave has been at the forefront of software development for many financial and other fortune 500 companies over the years. Thanks for the advice, testing and more advice given over the years.

Walter Szablowski and Eracent Corporation. Walt showed my that a little bit of useless information acquired millions of times in an organization really, really helps reduce costs and help organizations get a handle on their assets.

Nagi Nahas - Nagi without your excellent work in graph theory this product would not have been as unique as it is. Nagi can be contacted through Silicon Mindset at partnerinfo@siliconmindset.com (all emails will be forwarded to him). Below is a small description of his background.

.topic 1061
Bruce Hafner - Founded Silicon Mindset in 1992.  Since that time he has worked on projects for clients such as Bankers Trust, Bank of New York, DLJ, PECO Energy, Lucent Technologies and other private client and commercial software projects.  Prior to founding Silicon Mindset he worked at firms such as Mitel, Canadian Telecommunications Group (Later Purchased by British Telecom), Shearson / Lehmen / Hutton / American Express and Nomura Research Institute.  Projects completed have ranged from Trading Floor Relocations, Telecom Management, New Technologies Adoption, Call Center development as well as many others. Process Revolution was developed based on a recognized need for user friendly yet powerful Process Flow Charting and Process Documentation software.  Process Revolution is the first step to taking these areas of Process Documentation, Process Evaluation, Process Modeling and Business Reengineering into the hands of every user.

Roman Pacheco - Silicon Mindset hired Roman out of SUNY New Paltz just to stop his incessant calls requesting an interview for the non existent Intern Position. Since that time Roman has become a valued developer and analyst.  We look forward to his many contributions and daily interactions.

Elizabeth Harrington - Not a day goes by that Elizabeth does not have some major hand in improving the operations of our organization.  Elizabeth has also been pivotal in ensuring that the product goes out tested and on time.

Ken Alvarez - With a background in financial applications Ken has been a valued member of our development and QA process. Ken was an alternate on the US Olympic Freestyle Ski team when hired.  Looks like that training came in handy when we hit bumps in our development process

Anica Dimovski - Anica has assisted in application QA, Documentation, Web related items and many other key areas in the production of this product.

G Chow - G Chow has been the watchdog in this project picking up the scraps and leftovers when we over look them

Colleen Hafner - Colleen has provided great help in ensuring that this product is intuitive and makes sense.

.topic 100
Process Revolution 2002(SE) is a stand alone Diagramming, Documentation, Flow Charting.  You will find Process Revolution to do things easier, faster and more intelligently while also allowing you to retain superb control over most any conceivable feature or function. Process Revolution will allow you to:

Create Flow Charts
Create Diagrams
Create Process Diagram Snapshots (Portions of a diagram)
Create Process Repositories (a type of file that allows grouping of diagrams into user defined categories)
Create Presentations (Groupings of Snapshots)
Create Super Presentations (Groupings of Presentations across multiple repository diagrams)
Creation of XML files
Creation of Object Reports
Export Diagrams into Bitmapped Images including PNG, BMP, WBMP, TIF, PCX, JPG, PCX, TGA and Limited PSD files.
Export Diagrams into Vector Images including EMF, WMF, DXF, and SVG
Creation of full Process Documentation Web sites

.topic 120
Process Revolution has added a vast amount of functionality, features and abilities to enhance your diagramming and process documentation experience. These include (but are not limited to)

Increased image export formats for bitmapped image types including JPG, TIF, PCX, BMP, WBMP, TGA.
Increased image export formats for vector image types including EMF, WMF, SVG (DXF, VML to Follow Later)
The ability to place objects on Layers
The ability to create views allowing for custom zoom, X & Y Offsets, Hide and Show Layers based on views
Creation of Object Categories (a way of association objects with like categories of Object Types)
Creation of Object Types. This is the most granular level of identification for an object
Creation of Properties that can be shared across Object Types
Hiding / Showing of Rulers
Addition of two new Object handle sizes for individuals having difficulty seeing object handles
The ability to sort Object/Link/Canvas properties by category
Process Diagram Logic Analysis. Allowing users to visualize connectivity and shortest path for connected objects
Automatic Process Diagram Layout Algorithms.  Initially 10 unique Process Diagram layouts have been included
Process Diagram Rotation.  Enabling most diagrams to be rotated by 90 degree increments
Undo / Redo abilities
User Defined Styles (Line Color, Fill Color, Line Type, Line Width etc)
Creation of Snapshots allowing Objects, Zoom Levels and X/Y axis offsets to be saved and recalled
Grouping of Snapshots into Presentation for export into Web sites.
Grouping of Snapshots across multiple Repository Diagrams into Super Presentations
User defined Process Diagram Object  Reports
Object Shadows
Oriented Text for Links
The ability to see In and out Linked objects from any Object
ZOrder manipulation for Links and Objects
Now 2 types of Link curves supported (Bezier and Cubic Spline) allowing for superb control of a curved links shape
2 New Default shapes included (Double Arrow and ISO-9000 Arrow)
Saving of Diagrams into XML and Compressed XML files
Clipping of images inside Objects to match Image shapes (For ellipses and Rectangles)
Multi Line text inside of Objects
Locking of Objects to a X, Y or X and Y setting even when diagrams are scrolled
Locking Objects Height, Width or Both.
The ability to specify a maximum number of links an Object may except
The ability to specify a maximum number of Outlinks an Object may except
The ability to specify a maximum number of Inlinks an Object may except
Tracking of objects based on Layer, Category, Object Type or Hidden property

.topic 140
Order Process Revolution 2002(SE) today and enjoy full functionality and instant delivery!

Direct order link
Regsoft.com

Home page
Silicon Mindset

EMail support
procrev2002se.support@siliconmindset.com

Snail mail
Silicon Mindset, Inc
367 Windsor Hwy
New Windsor NY, 12553
United States of America

.topic 20
In order to run Process Revolution 2002(SE) you should have a Pentium-based computer. In addition, your system must include the following:

Recommended System Requirements
Pentium III Processor at 500Mhz or better
Windows 2000 or Higher
96 MB of RAM
40 MB of hard disk space (before installation)
VGA video card displaying at least 800x600 with 16 bit color
CD-ROM drive
Mouse or other pointing device

Minimum System Requirements
Pentium II with a minimum clock speed at 120 Mhz
Windows 95 or higher
32 MB of RAM
40 MB of hard disk space (before installation)
VGA video card displaying at least 800x600 with 256 colors
CD-ROM drive
Mouse or other pointing device
Configured for a Printer (For Print Preview, Page Break Functionality and PDF generation)

.topic 40
To install Process Revolution 2002(SE) you must run Setup. You can't install or reconfigure Professional Home Design by copying files directly from the distribution CD, a network drive or another machine to your hard drive.

To install Process Revolution 2002(SE) from a Web Download Delivery
1.	Download the Installation software from a known reliable source (siliconmindset.com, zdnet.com etc) to a location on your hard drive.
2.	Double click on the executable ProcRev2002se.exe
3.		Follow the Installation prompts that appear.

To install Process Revolution 2002(SE) from a CD
1.	Insert the Process Revolution 2002(SE) into your CD-ROM drive. Installation begins as soon as you insert the CD.
2.	Follow the installation prompts that appear.
3.	If installation did not begin when you inserted the Process Revolution 2002(SE) CD into your CD-ROM drive, Auto run may be turned off on your computer.
4.		Follow the installation prompts that appear

To install Process Revolution 2002(SE) if installation does not begin automatically

1.	Insert the Process Revolution 2002(SE) CD into your CD-ROM drive.
2.	On the Windows Start menu, click Run. The Run dialog box appears.
3.	Enter M:\ProSetup.exe, then click OK. If you are installing from a different drive, substitute the correct letter in place of the letter M.
4.	Follow the installation prompts that appear.

Other Software you might want to install on your computer (supplied by other manufacturers) to enhance your Process Revolution experience are as follows:

.topic 80
The Shareware edition of Process Revolution is supported by email. Check our web site often  (http://www.siliconmindset.com) for additional support options which will be available in the future (including on site training and web based forums). Frequently Asked Questions will also be available at the Silicon Mindset web site (http://www.siliconmindset.com).

A Maintenance Contract is available for corporate Users licensing 10 or more copies of Process Revolution 2002(SE).  The Price for a maintenance contract is 25% of the current purchase price of all licensed copies.

.topic 60
You can "Speed Up" Process Revolution by doing the following

Limit the number of applications running on your system at one time
Set your Display Screen Settings to 16-bit, 65,000 colors for optimum screen redraws
Ensure that you have at least 64 MB of Random Access Memory
Close Diagrams that are not needed to be open at any given time

.topic 180
The Advanced user interface is designed to be intuitive and advanced layout.  This section is broken into the following area:

The Main Application Window
Document Windows
Secondary Windows
Wizards

.topic 200
Upon starting Process Revolution the Main Application Window is started. The Main Application Window is where you will spend a majority of your time when working with Process Revolution 2002(SE). By spending a few minutes to become familiarized with the Main Application Window you will profit by understanding where:

The most frequently used tools are
Information is entered into Diagrams
Information is Displayed to the User

.topic 220
Clicking on any of the areas of the Main Application Window (see figure 1) will immediately bring you information on that area.

(Figure 1)

.topic 240
The Process Revolution 2002(SE) Process Diagram Structure Editor (see figure 1)is used for adding and editing the underlying structure of the current diagram.  Underlying structure is all of the information contained in a Process Diagram that is not directly related to related to an Object, Link or Canvas properties.

(Figure 1)
General Process Diagram Structure
 Drawing  Styles is used to rapidly change the current drawing properties to user defined settings (Colors, Border Widths, Object shapes, Canvas Colors etc)
 Views are used to scroll Process Diagram X and Y offset values, Zoom Values and Layer Visibility settings
 Layers are used to group objects together at the user discretion
 Categories are used to define types of Objects. Categories can belong to other categories
 Object Types are used to specify exact types of objects. Custom properties can be assigned to Object Types
 Custom Properties are used to store specific predefined information into Objects (Examples might be Color, Weight, Dates, Quantities etc)
 Snapshots are used to preselect Objects, select a View and then further adjust Zoom and Process Diagram Scroll offsets
 Presentations are used to group together Snapshot and Reports into a Presentation Object
 For Future Use for additionally Planned Presentation documents
 Reports are used access Process Diagram Object information in a table format
 Load is used to refresh the Tree
 Edit is used to edit the currently selected Process Diagram Structure Object. Most objects can also be edited by double clicking on them.
 UPD. is used to Update the currently selected object
 Del. is used to delete the currently selected Process Diagram Structure Object
 Track Objects is used to track Objects on Layers, Categories, Object Types or with a given Property Type

.topic 260

.topic 280

While you may select Process Diagram Objects with the Mouse you also may selected any unlocked object from the Objects drop down box.  Locked Objects can be UnLocked via the Lock button next to the Objects drop down box.  Outlinked and Inlinked Objects can  navigated to via the 'Outlink To' and 'InLink To' drop down boxes.

(Figure 2a)

.topic 300
The Status Bar offers the following:

1) 5 Status update panels located across the bottom of the status bar from the far lower left going horizontally to the right

2) Above the 5 status panels will show one button for each open document.  Note in Figure 1 a single Process Diagram named 'New1' is opened.

3) On the far lower right is current mouse cursor location indicators (left) and total Process Diagram size (right).

4) All colors, Line/Border widths and Line/Border types can be accessed from the Properties Inspector. These properties are also always available from a fixed position on the Status Bar.

(Figure 1)

.topic 340
Silicon Mindset Process Revolution 2002(SE) supplies toolbar's to do most any function or Canvas / Object / Link manipulation you could need.  Being presented with this many toolbar's at first might seem a little intimidating.  After using the application for more than a few minutes, however,  an appreciation for the ease at which they offer will become apparent.

.topic 360

The Advanced Functions Toolbar provides access to the following functions

.topic 380

The Canvas and Control Toolbar provides access to the following functions

.topic 400

The Color and Line toolbar provides access the following functions

  Triggers the Border / Link width toolbar

  Triggers the Border / Link Line type toolbar

  Triggers the Color Toolbar for changing the Canvas Color

  Triggers the Color Toolbar for changing the Grid Color

  Triggers the Color Toolbar for changing the Shadow Color

  Triggers the Color Toolbar for changing the Object Fill Color

  Triggers the Color Toolbar for changing the Object Border Color

  Triggers the Color Toolbar for changing the Link Color

  Triggers the Color Toolbar for changing the Font Color

.topic 420

The Edit Toolbar provides access to Edit Functionality

  Triggers the Image Export Window

  Cut

  Copy

  Paste

  Erase

  Undo

  Redo

  Specllcheck

  Thesaurus

.topic 440

The File and Document Toolbar provides access to File and Document Functions

  Create a New Process Repository. Triggers Repository Properties Window
  Create a New Diagram
  Create a New RTF Document (Reserved for a future version of Process Revolution)
  Open Document
  Open Object Library
  Save
  Print
  Print Preview

.topic 460

The Links Toolbar is used to get fast access to many Link Properties. Remember Access to every Link property is accessible via the Properties Inspector

.topic 480

The Objects Toolbar is used to get fast access to many Object Properties. Remember Access to every Object property is accessible via the Properties Inspector

.topic 500

All of the Buttons on the Text Toolbar should be very familiar to users as these emulate those found on almost all word processing applications. The only exception is the Object Text Alignment Button  which triggers the Text Alignment Toolbar.

.topic 520

The Tile Toolbar allows a fast ability to tile all open application document windows. This includes cascade, Vertical and horizontal.

.topic 540

The Zoom and Select Toolbar provides access to functions related to Process Diagram Cursor Mode and Zoom Level.

.topic 560

The ZOrder toolbar has one button. When pressed it triggers the ZOrders Toolbar to be displayed.

.topic 580
Silicon Mindset Process Revolution 2002(SE) supplies toolbars to do most any function or Canvas / Object / Link manipulation you could need.  Being presented with this many toolbars at first might seem a little intimidating.  After using the application for more than a few minutes, however,  an appreciation for the ease at which they offer will become apparent.

.topic 600

The rotation angle toolbar is triggered from either the Rotate Process Diagram button located on the Advanced Functions Toolbar or the Rotate Shape button located on the Objects Toolbar.

Rotate Process Diagram- Angle Rotation: Based on the current layout of the Process Diagram it will Rotate the entire Process Diagram90, 180 or 270 degrees from its current layout. This Function is fairly successful in rotating the Process Diagram while retaining the original symmetry of objects.  Certain Process Diagram will require minor adjustments to ensure a desired look.

Rotate Shape - Most Default Shapes can be rotated. Setting the rotation angle will rotate the shape based on its Original default setting.

.topic 620

For more information see the Advanced Functions section labeled 'Applying Auto Layouts'

.topic 640

The Border / Link type Toolbar sets the width of both Links and Object Borders

  Solid Line

  Dashed Line

  Dotted Line

  Dash Dot Line

  Dash Dot Dot Line

  Invisible Line

.topic 660

The Border / Link width Toolbar sets the width of both Links and Object Borders

  Force 1 Pixel. This sets the Border / Link to One Pixel no matter what Zoom level. Normally when zooming in Link / Borders scale proportionately. When set to Force 1 Pixel it retains 1 Pixel at all zoom levels.

  1 Pixel

  2 Pixel

  3 Pixel

  4 Pixel

  5 Pixel

  6 Pixel

  7 Pixel

  8 Pixel

.topic 680

The Color Toolbar is used for fast access to presets for changing colors. The Color Toolbar also gives access to the advanced Color Selection Lab when more control over the color selection process is needed.

Canvas Color
Grid Color
Shadow Color
Object Fill Color
Object Border Color
Link Color
Font Color

.topic 700

Note: Each Link has three arrows.  These are:
The Origination Point Arrow - The Origination Arrow is the arrow located at the end of the Link by the Origination Node or LinkFrom Point
The Mid Point Arrow - This is the arrow(s) located at the midpoint of Link Segments
The Destination Point Arrow - The Destination Arrow is the arrow located at the end of the Link by the Destination Node or LinkTo Point

Selecting one of the 20 default Arrow Types will:

Convert all selected Links Arrows (Origination, MidPoint or Destination) into the selected Arrow Type
Set the Default Arrow (Origination, MidPoint or Destination) to the newly selected Arrow Type

.topic 720

Selecting one of the 16 default Link Types will:

Convert all selected Links into the selected Link Type
Set the Default Link Type (All new Links take on the Default Link Type) to the newly selected Link Type

.topic 740

Selecting one of the 36 default Object Shapes will:

Convert all selected Objects into the selected shape
Set the Default Shape (All new Objects take on the Default Shape) to the newly selected shape

.topic 760

The Image toolbar is used to set or clear Object and Canvas Images (depending on where it was triggered from). Valid Image types include Windows Metafile (WMF), Enhanced Metafile (EMF), Bitmap (BMP) and JPEG (JPG)

  Brings the Object or Link to the Front of the ZOrder stack

  Sends the Object or Link to the Back of the ZOrder stack

.topic 780

18 Object alignments are available. By viewing the icons you can determine how the Objects will align. The darker colored rectangle is the initial Object that is the anchor Object. The lighter colored Object is the one that is to be aligned.

.topic 800

  No Image/Object sizing occurs.
  Objects are scaled to the Images native size
  Images are scaled to fit inside of Selected Objects
  Objects are automatically sized to match selected Objects text

.topic 820

Object Image Alignment sets any current images for Objects selected to match the selected image alignment button. If no Object is selected then the default image alignment is set.

.topic 840

The Object Offset tools allow for objects to be offset in a equal manner when more than 2 objects are selected. This feature will use the offset of the 1st two objects and match that offset between all others IE:

Offset between Object 1 and Object 2 is used as an offset
Offset between Object 2 and Object 3 will match the Offset between object 1 and Object 2

See figure 1(before) and Figure 2 (after) for a visual description of this feature when using the   offset tool

(Figure 1 - Before)

(Figure 2 - After)

.topic 860

  Duplicates Object Width
  Duplicates Object Height
  Duplicates Object Width and Height
  Duplicates Object Colors
  Duplicates Object Shape, Border Line type and Width

.topic 880

The Object Image toolbar is used to set or clear Object Images. Valid Image types include Windows Metafile (WMF), Enhanced Metafile (EMF), Bitmap (BMP) and JPEG (JPG)

  Turns off Selected Objects Shadow

  Sets Select Object in a South East direction

  Sets Select Object in a North East direction

  Sets Select Object in a North West direction

  Sets Select Object in a South West direction

.topic 900

  Brings the Object or Link to the Front of the ZOrder stack

  Sends the Object or Link to the Back of the ZOrder stack

  Sends the Object Backwards one level in the ZOrder stack

  Brings the Object Forward one level in the ZOrder stack

.topic 920

The Object Text Alignment aligns text within an Object as shown by the nine associated images on the Toolbar buttons.

.topic 940
Process Revolution 2002(SE) offers only one type of General Document to work. These are known as the Diagrams. Diagrams are edited inside of Process Diagram Forms. Multiple Diagrams can be opened at a time from within the Primary Workspace.

.topic 960
The Process Diagram Form (See figure 1) is highly advanced in its abilities but relatively easy to understand all parts of its user interface.  The Process Diagram Form can be broken down into the following components

File Name - (Shown in the Title bar of the Form)
Ruler - The Horizontal and Vertical rulers show information scale and offset information (Rulers and Mini Status Bar can be turned off at the users discretion)
Process Diagram Workspace - The Drawing Area shows the Underlying Canvas, Grid and Process Diagram Objects and Links
Scroll Bar - The Vertical and Horizontal scroll bars allow for navigation within the diagram
Current Info - The Current Into area shows the Current View, Default Layer for New Objects and Links and the Last Selected Style
Scroll Bar - The Vertical and Horizontal scroll bars allow for navigation within the diagram

(Figure 1)

.topic 980
Secondary Windows are windows that give enhanced functionality to the application. Examples of this are the Birds Eye View and Print Preview window.  Secondary windows typically encompass a single function of the application while not requiring more advanced functions handled by Wizards.

.topic 1000
 The Advanced Copying Window allows for Radial Copies (See Figure 1a and Figure 1b)  and Offset Copies (See figure 2a and Figure 2b).

.topic 1020
 The Birdseye View (see figure 1) allows the user to acquire a miniature snapshot of the complete Diagram.  In the View a red rectangle is visible showing the active viewed area in the associated Process Diagram Form (see figure 2).  An added benefit is the ability to navigate the viewed area by clicking on the Birdseye View and dragging your  mouse around on the Birds Eye thereby resetting the active viewed area. The Birdseye View is accessible via the Canvas and Control Toolbar.

(Figure 1)

(Figure 2)

.topic 1040
The Color Selection lab window allows advanced selection and adjustment of color. The user can select a color in any of the following manners:
From the Central Color Palette (See Figure 1)
From the Side Color Gradient based on the From Color and End Color Vector(See Figure 1)
From Direct (Red, Green and Blue) Color Adjustment(See Figure 1)
From any other color anywhere on the screen via the eye dropper(See Figure 1)
From A list of System Pre Programmed Colors(See Figure 1)

(Figure 1)

(Figure 2)

.topic 1060
The Image Export Window(see figure 1)  allows for the saving of portions or entire diagrams to various vector and bitmap graphic file formats.

(Figure 1)

The file formats presently supported includes the following:
Bitmapped image types supported includes JPG, TIF, PCX, BMP, WBMP, TGA, PNG
Vector image types supported includes EMF, WMF SVG (DXF and VML under development)

.topic 1080
The Object Configuration Window allows the customization of Custom 'Object Types' (see Figure 1).

(Figure 1)

An 'Object Type' has the following properties

Note: Object Image reserved for the Professional version of Process Revolution 2002.

.topic 1100
The Print Preview window (See figure 1)is used to give a visual view of what the Process Diagram will look like when printed. Note that the Refresh button allows for powerful interactive manipulation of the print Preview in that if the user zoom on a currently opened diagram then hits the Refresh button it will reflect this Zoom change or any other changes made.

(Figure 1)

.topic 1120
In Process Revolution 2002(SE) The Process Repositories Properties screen (see figure 1) serves 2 functions

Selecting the Name of New Process Repositories
Converting version 1.0 Repositories to version 2.0

(Figure 1)

.topic 1140
Custom Properties are a powerful tool in customizing information saved in a Diagram.  The Custom Properties Window  (see figure 1) uses the following fields for Property Description
Property Name: a Descriptive Field
Property Data Type : (see table 1)
Property Description
Default Property Value - If used it assigns this value automatically to Objects when no value is assigned
Edit Mask - Used to Cause an Format Data Entry
Use List Box - Forces Data Entry through use of a List Box Presented to User
List Box Related Features

(Figure 1)

(Table 1)

.topic 1160
The View Layer Configurator Window allows for customization of layers that are Visible or locked in a given View.  This window also allows the setting of the default layer to be set for a given view.

(Figure 1)

.topic 1180
Wizards are windows that give guide users through more complex multi step functions in the application. Examples of this are the SVG Export Wizard and Logic Analysis Wizard.

.topic 1200
The logic Analysis Wizard (See Figure 1) give a powerful method of identifying associations in linked Objects. The Wizard walks the user through doing the following types of Logic Analysis. The Wizard Shows the User the Linked Objects by Highlighting Objects (as specified by the User).
Highlight All Linked Objects
Highlight InLinks (One Level)
Highlight OutLinks (One Level)
Highlight All Linked Objects
Highlight All InLinked Objects
Highlight All OutLinked Objects
Highlight All Linked Objects (Specify 'N' Levels Deep)
Highlight All InLinked Objects (Specify 'N' Levels Deep)
Highlight All OutLinked Objects (Specify 'N' Levels Deep)
Find the Shortest Path
To Remove Highlighting on Objects and Links use the Last Option in the Wizard labeled Normalize All Highlighted Objects (See Figure 1)

(Figure 1)

.topic 1220
The Object Report Wizard guides you through the steps of creating an Object Report. Object Reports can be useful for reviewing Object Properties. (see  Creating Object Reports for more information)

(Figure 1)

.topic 1240
The Org Chart Wizard guides you through the steps of creating an Organizational Chart Quickly by importing a organizational information from a file source.  (see Creating Org/Tree Charts Automatically for more information)

(Figure 1)

.topic 1260
The Presentation Wizard provides a quick and easy method to create a mini web site from a Diagram.  In Short a presentation allows multiple Snapshots, reports and external Web Links to be grouped into a single coherent object called a Presentation.  Once a Presentation is created the Process Diagram must be saved to generate it appropriately.  Modifying the Presentation or any of its components (IE Snapshots, Reports or Web Links) requires that the Process Diagram be saved prior to generating the Presentation. (see  Creating a Presentation for more information)

(Figure 1)

.topic 1280
The SVG export wizard will guide you through the tasks required to produce excellent quality SVG images.  SVG, while relatively new, is being widely adopted for use in producing scalable vector images viewable via web pages.  Vector images are valued because they produce smaller file sizes while allowing for the ability of zooming in and out of images without loss of quality or pixalation.

(Figure 1)

.topic 1300

(Figure 1)

.topic 1320
Silicon Mindset Process Revolution 2002(SE) is an advanced, intuitive and easy to use application.  Creating basic diagrams, flow charts and other types of object based diagrams are fast and simple.  There are times when you will need to put more advanced demands on Process Revolution. Silicon Mindset has designed Process Revolution such that the best method to become proficient with the application is to work with it.  Most features will take no more than one review to feel comfortable in its use. Most Topics in each sub section are placed in a logical order. This section will break down into two sub sections.

Section 1 - The Basics:  The Basics cover most items related to creating diagrams and working with Process Diagram Structure objects.  This includes drawing objects and links, manipulating these items and working with styles, views and layers.

Section 2 - Advanced Topics: Advanced Topics cover items not found in 'The Basics' section.  This includes (but is not limited to) Working with Repositories, Exporting Diagrams, Creating Presentations and much more.

.topic 1340
Working with the Basics covers all of the basic features required to create diagrams and work with basic parts of the diagram structure. Items covered includes:

Creating a New Process Diagram
Adding Objects
Linking Objects
Creating Views
Creating Layers
Creating Styles

.topic 1360
 Creating a New Process Diagram is a simple process of pressing the 'New Diagram' Button.  Remember you can have several diagrams open at once if desired.

.topic 1380
Doing the following steps in order will enable you to add Objects to the Process Diagram no matter what the current Drawing Mode.

.topic 1400
Linking is actually a very simple task. To ensure that the process of creating a link is understood it has been broken down into 7 steps below. Note that in actuality creating links occurs in one easy and fluid motion.

.topic 1420
To create a new View merely press the new View button (see figure 1) located at the top of the Process Structure Editor (see figure 2). You will notice a new view is automatically added to the view list (see figure 3) in the Process Structure Editor. Note that the View will store the current Horizontal (x scroll) and vertical (y scroll) offsets as well as current Zoom value and Style. To change any of these values in the current view just adjust offsets, zoom or change to a new style and press the Update button (see figure 4) located on the Process Structure tool bar (see figure 5).

.topic 1440
To create a new Layer merely press the new Layer button (see figure 1) located at the top of the Process Structure Editor (see figure 2). You will notice a new Layer is automatically added to the Layer list (see figure 3) in the Process Structure Editor. Note that a Layer in and off itself has no properties. A Layer is a type of property used to associate objects. Layers can be turned off or on in any given view.

.topic 1460
To create a new Style merely press the new Style button (see figure 1) located at the top of the Process Structure Editor (see figure 2). You will notice a new Style is automatically added to the Style list (see figure 3) in the Process Structure Editor. Note that a Style is a set of canvas properties.  These properties affect the canvas color, grid and grid colors and default drawing properties.  To change any of the style properties first select the style you want to update, click on the canvas (see figure 4), modify any properties you want to change from the Properties Editor (see figure 5) then press the Update (see figure 6) button located on the Process Structure Toolbar (see figure 7).

.topic 1480
Working with Advanced Features includes many tools and features that will greatly enhance your Diagrams and diagramming experience. This section will cover:

Object Libraries
Tracking Objects
Creating Object Reports
Applying Auto Layouts
Creating Org/Tree Charts Automatically
Creating Process Repositories
Using the View / Layer Configurator
Creating / Generating Presentations
Exporting Diagrams to SVG
Creating Super Presentations

.topic 781
Categories, Object Types, and Properties are some of the many features in Process Revolution which allow you to organize and analyze your diagrams and information.  One way in which you could perform analysis on these objects is by using the Tracking Tool.

Prerequisites
Prerequisite 1) You will have already created a diagram.
Prerequisite 2) You will have already added Objects and Links to your diagram.
Prerequisite 3) You will have already added Categories, Object Types, or Properties to your diagram.

Tracking Categories
In the Process Structure Editor, select the Category you wish to track objects for.  Next, click the Track Objects button  near the top of your Process Structure Editor.  A selection dialog will pop up, allowing you to select from several filtering options (See Figure 2).  Select the an option and click OK.  If there are any objects belonging to this Category, they will now be listed for you.  You now have the option of selecting any number of them from the list.  Once you click OK, all your selected objects will now be selected in your diagram as well.

 (Figure 2)

Tracking Object Types
In the Process Structure Editor, select the Object Type you wish to track objects for.  Next, click the Track Objects button  near the top of your Process Structure Editor.  If there are any objects belonging to this Object Type, they will now be listed for you.  You now have the option of selecting any number of them from the list.  Once you click OK, all your selected objects will now be selected in your diagram as well.

Tracking Properties
In the Process Structure Editor, select the Property you wish to track objects for.  Next, click the Track Objects button  near the top of your Process Structure Editor.  If there are any objects containing this Property, they will now be listed for you, along with their value (if any).  You now have the option of selecting any number of them from the list.  Once you click OK, all your selected objects will now be selected in your diagram as well.

.topic 801
Process Revolution provides you with a sophisticated yet simple way of managing layers and views in order to better organize your information and diagrams.  To initiate the View Layer Configurator, double click any layer in your Process Structure Editor.

(Figure 1)
Views
Adding a New View:  To add a new view, simply click the "New" button on the top of the Configurator, as show in the figure below.  A new view will automatically be added and given a default name.  To change the name, see Editing a View's Name (See Figure 1). Also remember that New Views can be easily added while in the Diagram edit mode (see Creating Views)

Editing a View's Name:  To edit the name of a view, simply click the "Edit" button on the top of the Configurator, as show in the figure below (See Figure 1).  A dialog will pop up, asking you for the new name of the view.  Enter the name you wish to apply, and click OK.  Note:  You may not edit the '[Master] ' view's name.

Deleting a View: To delete a view, first select the view you wish to delete in the View List on top of your Configurator, and then simply click the "Delete" button to the right of the list, as show in the figure below (See Figure 1).  A warning will pop up, asking you to confirm your decision.  Click OK to delete the current view.  Note:  You may not delete the '[Master]' view.

Layers
Setting the Default Layer: To select a default layer (the layer to which all new nodes in the current view will be added), simply click the desired layer in the Layer Grid (middle of the Configurator).  This should populate the Layer Editing Form on the bottom with your layer's information.  Then, make sure that the "Default" check box on the bottom is checked.  (See Figure 1).  To finish, click the "Update" button.

Locking/Unlocking a Layer: To lock or unlock a layer (Objects on locked layers can not be manipulated in any way), simply click the desired layer in the Layer Grid (middle of the Configurator).  This should populate the Layer Editing Form on the bottom with your layer's information.  Then, check or uncheck the "Locked" check box on the bottom.  (See Figure 1).  To finish, click the "Update" button.

Hiding/Showing a Layer: To set a layer as visible or not visible within the current view, simply click the desired layer in the Layer Grid (middle of the Configurator).  This should populate the Layer Editing Form on the bottom with your layer's information.  Then, check or uncheck the "Visible" check box on the bottom.  (See Figure 1).  To finish, click the "Update" button.

Editing a Layer's Name/Description: To edit a layer's name or description, simply click the desired layer in the Layer Grid (middle of the Configurator).  This should populate the Layer Editing Form on the bottom with your layer's information.  Then, set the layer name and description to the desired values.  (See Figure 1).  To finish, click the "Update" button.

.topic 121
The Object Report Wizard guides you through the steps of creating an Object Report

Step 1 - Start Wizard and select Objects for Inclusion in Report (See Figure 1)

(Figure 1)

Step 2 - Select Object Properties to Report On (See Figure 2)

(Figure 2)

Step 3 - Set Report Header, Footer Options, Color, True/False and Category Reporting Options (see Figure 3)

(Figure 3)

Step 4 - Reserved for Future Versions of Process Revolution

(Figure 4)

Step 5 - Preview Report Data and Set output Colorization, font and grid attributes. (See Figure 5)

(Figure 5)

Step 6 - Print Page Setup (see Figure 6)

(Figure 6)

Step 7 - Print Preview (see Figure 7)

(Figure 7)

.topic 761
Process Revolution Object Libraries provide users with custom-made objects which are neatly stored and categorized for easier grouping.  These libraries allow users to drag and drop complex objects into their diagrams and use them as they would a regular object.  For example, a Network Components library may contain objects representing common Networking hardware such as routers, switches, and hubs.

Prerequisites
Prerequisite 1) You have a Process Diagram already opened.
Prerequisite 2) You have access to a Process Revolution Object Library on your system.

Opening a Library
To open a library, simply click the "Open Object Library" button  on your File and Document Toolbar. Select your Object Library file (with .prl file extension), and it will be loaded up and docked into your Object Libraries tab.

(Figure 1)

Opening Multiple Libraries
You may have as many Libraries as you wish open at one time.  Simply follow the procedure for Opening a Library (shown above) and repeat for each individual library you wish to open.

Managing Libraries
Often you may have several Object Libraries open at one time.  To switch from one library to another, you should use the Library List on your Object Libraries Tab (See Figure 2).  It allows you to view which libraries are open, and selecting one will automatically load that library into view for you.

(Figure 2)

Moving Objects From Library To Diagram
To add an object from the Library to a Diagram, simply left-click the object, drag your mouse over to the diagram (while still keeping your mouse clicked) and release your left-click while the mouse is over the diagram.

Creating Your Own Libraries And Objects
This feature will be available in a future release of Process Revolution.  Check out our website frequently to find out when!

.topic 1500
Process Revolution offers 10 Powerful categories of Auto Layout algorithms. The application of these layouts are simple, fast and reversible via Undo. As an example we will show the same graph below (purposely messed up quit a bit) using all 10 different layout algorithms. Our Process Diagram Layout Algorithms use a close match technique that does not necessarily find the best layout but a very good approximation.  While it is possible to create software that creates a best match for a given algorithm these types of software would take a great deal longer to calculate and therefore is generally not used.

Note that not all layout algorithms may be applied to all types of Diagrams.  An example of this would be a tree algorithm. If you think about a family tree a child cannot also be its own parent or grandparent. A second example would be attempting to apply a Planar Layout Algorithm to a Process Diagram that is not Planar. Diagrams which are required to be Planar include Tree, Circular Tree, Visibility Representation, Visibility Representation (Semi Orthogonal), Orthogonal, Semi-Orthogonal and Planar.

(Figure 1)

When applying layouts the 'Select Objects'  dialog will appear to confirm the objects that are to be included in the layout (see figure 2). The selection choices includes 'All Object', 'All Logical Objects', 'All Selected Objects' and 'All Logical Selected Objects'.

(Figure 2)

.topic 1520
 The Tree Algorithm will place the Root Object at a starting point (Left, Right, Top or Bottom). The tree then places all direct descendants of the Root on the same level. The algorithm will continue until no more children exist.  The Tree Algorithm will only operate on Tree type Diagrams.  In a tree Process Diagram every object has one and only one parent accept the top most object know and the root. Two good examples of uses for Tree Diagrams are showing lineage in families or organizational charts.

Note: Trees are a Planar Process Diagram Type
Note: Trees Have One and Only One Root Object
Note: Each Object Has One And Only One Parent (Except for the Root Object)

.topic 1540
 The Circular Tree Algorithm will place the Root Object at the center of the diagram. All direct children will be pushed out in a circular manner.  Then each next child level will be pushed out into a circular pattern. The Circular Tree Algorithm will only operate on Tree type Diagrams.  In a tree Process Diagram every object has one and only one parent accept the top most object know and the root.

Note: Trees are a Planar Process Diagram Type
Note: Trees Have One and Only One Root Object
Note: Each Object Has One And Only One Parent (Except for the Root Object)

.topic 1560
 The Hierarchical Algorithm is very close to the tree algorithm when implemented.  The algorithm attempts to find root Nodes.  Then it places on the next level directly linked children continuing down until the entire Process Diagram is completed. Children in a Hierarchical layout can, however, link back to parent or other higher level objects.

.topic 1580
 The Symmetrical Algorithm will attempt to find symmetry in connected objects and lay out the Process Diagram in a visually appealing manner.

.topic 1600
 The Circular Algorithm will place all objects around the perimeter of a circle. The algorithm attempts to place objects next to or close to directly connected objects. Circular algorithms are often seen in use by law enforcement artificial intelligence applications showing relationships between criminal elements based on their interactivity or arrests. Often this can help cases be solved in a faster manner due to first hand knowledge not discernible in a Process Diagram but when used in conjunction with the circular layout patterns can be visually recognized quickly.

.topic 1620
 The Orthogonal algorithm will organize a Process Diagram in a manner that places all links in an Orthogonal manner. This means that all links can be comprised of multiple segments but each segment is perpendicular to the next. A link that requires no additional segments will travel out of one Object either horizontally or vertically directly to the next object.  Objects can be resized to allow for better Object and Link placement.

.topic 1640
 Semi-Orthogonal Diagram is a variant of the Orthogonal Diagram,.  The Semi-Orthogonal Process Diagram will use the same layout algorithms used in the Orthogonal Algorithm while not imposing a change of shapes to rectangular or links to purely perpendicular types.  The Last and first segment of the Semi-Orthogonal Process Diagram can be represented at any angle not just perpendicular to the Object.

.topic 1660
 Visibility Representation Diagrams are types of Planar Diagrams that are often used to show logic state and Software Layout. This Algorithm will size shapes automatically and convert all shapes to rectangles.

Note: Visibility Representation Diagrams are a Planar Process Diagram Type

.topic 1680
 Visibility Representation Diagrams are types of Planar Diagrams that are often used to show logic state and Software Layout. The Semi-Orthogonal version of the Visibility Representation algorithm does not change shape type of size

Note: Visibility Representation (Semi Orthogonal) Diagrams are a Planar Process Diagram Type

.topic 1700
 The Planar algorithm will lay out diagrams in a planar manner retaining a triangular shape.

Note: Planar Diagrams are a Planar Process Diagram Type

.topic 101
The Org Chart Wizard guides you through the steps of creating an Organizational Chart or Tree Process Diagram automatically and quickly by importing organizational/Tree information from a file source.

In this example we will import a file labeled 'TestHierarchy.CSV' into our Wizard.  The information contained in this file is as follows (Table 1)

(Table 1)

This information can be viewed more easily however in a table structure (see Table 2). Common tools that allow us to look at CSV (Comma Separated Variable) files in a more readable format include Spreadsheets (Such as Microsoft Excel) or Database Editing Software (Such as Microsoft Access).

(Table 2)

Step 1 - The Wizard will start with a greeting screen (See Figure 1)

(Figure 1)

Step 2 - Select the File from which you want to import Org Chart data (See Figure 2)

(Figure 2)

Step 3a - Set which column contains employee 'Position ID' information (EmployeeID, Social Security# etc)(See Figure 3a). In this step, if the wizard does not automatically fill in the table with data,  you might need to specify what character is being used to separate fields in the file.  Typically this is a comma but 'Tab', 'Spaces' or other ASCII characters might be used.

(Figure 3a)

Step 3b - Set which column contains the employees 'Superior ID'(See Figure 3b)

(Figure 3b)

Step 4 - Set how you want Objects to look in the Process Diagram(See Figure 4)

(Figure 4)

Step 5 - Set how you want links to look in the diagram(See Figure 5)

(Figure 5)

Step 6 - Specify which fields in the file are to be shown in objects in the diagram(See Figure 6)

(Figure 6)

Step 7 - Upon arriving at the ending screen you can press 'Finish' to complete your Org Chart.   You will be brought to the 'Tree Layout' wizard for final format information.(See Figure 7)

(Figure 7)

Step 9 - Your Org chart is finished and presented to you. (See Figure 1)

(Figure 9)

.topic 1720

.topic 1121
The ability to Link Diagrams (or more specifically individual nodes on a diagram) is very powerful. With this feature we can link an Object in a stand alone Process Diagram to do the following:

Bring up a specific web page, Bring up a specific Application, Bring up a Document in its native editor (IE Word, Excel, Paintshop etc) and others.

Even more powerful is the ability to hyperlink documents within a Process Repository. This allows the user to create Process Repositories that drill into other diagrams automatically.  When creating Web Super Presentation these hyperlinks are retained. Lets look at an example of doing this

Prerequisites
Prerequisite 1) You will have already have a Process Repository opened
Prerequisite 2) You will have already have one other diagram created in the Repository
Prerequisite 3) You have created another diagram and are working on that one presently

Steps

Step 1) Place an Object on the new diagrams canvas and leave that new object selected. If you scroll down in the Properties Inspector you will see (see figure 1) a property called 'Link-Access'

(Figure 1)

Step 2) Set the 'Link-Access' property to 'Repository Document' from the select list (see figure 2)

(Figure 2)

Step 3) Go to the Link Address Property (see figure 3) (a button will appear in the properties grid) in the properties inspector (just below the 'Link-Access' property). Click this button

(Figure 2)

Step 4) Select the Diagram you wish to link to in the Select Diagram dialog window (see figure 4)

That's it you have just linked diagrams.  Now any time you wish to hyperlink to the linked diagram just double click on the node you have just set these properties for. It is a good idea to use the 'Off Page connector' shape and perhapts an identifying color to bring your attention to the fact that you have a link here.  See Diagram Symbols   for more information and shapes descriptions.

.topic 81
Creating and generating a presentation is simple but does require the user to follow some basic guidelines. The Steps are basically broken down into the categories of Prerequisites, Creation and Generation

Prerequisites
Prerequisite 1) You will have already created a new diagram
Prerequisite 2) You will have already added Objects and Links to the Diagram
Prerequisite 3) You will have already added all of the snapshots to Process Diagram that you want to include in your presentation

Creation
Creation 1) Add a new Presentation to the Process Diagram by pressing the new presentation button located on the Process Structure Editor.
Creation2) Next we will drag the Snapshots or Reports we wish to include onto the Presentation. Note we have included into our presentation 3 snapshots labeled Snapshot1, Snapshot2 and Snapshot3 respectively (see figure 1).

(Figure 1)

Generation
Generation 1) Double click on the presentation you want to generate (this is the Presentation Icon you created in the Process Structure Editor.

Generation 2) Presentation Type (Currently only HTML Presentations are supported - Print, RTF and PDF will follow in a future release), Description, Presentation Header/Title and Justifications are set on this screen. (See Figure 2)

(Figure 2)

Generation 3) Components may be added or deleted from the presentation on this screen. (See Figure 3)

(Figure 3)

Generation 4) Presentation Logo (visible in the upper right area of HTML presentations), colors and font settings are set on this screen  (See Figure 4)

(Figure 4)

Generation 5) Properties to be shown on object drill downs are set on this screen. Note this feature only pertains to HTML presentations. (See Figure 5)

(Figure 5)

Generation 6) Presentation generation locations are set on this screen (See Figure 6)

(Figure 6)

Generation 7) Presentations are saved or saved and generated from this screen(See Figure 7)

(Figure 7)

Generation 8) The generated Presentation is displayed for viewing. (See Figure 8)

(Figure 8)

.topic 221
SVG (Scalable Vector Graphics) is a relatively new imaging technology based on XML.  It allows you to create highly detailed images by describing vectors and other objects (such as text, symbols, etc.)   However, you need not be an SVG guru to be able to exploit this technology's full myriad of capabilities!  Process Revolution's diagrams can be easily and expertly exported to this format by using the SVG Export Wizard.  Exporting a Process Diagram to SVG is fast and simple, and to ensure that you are able to take advantage of all the possibilities our SVG Export Wizard provides, you should adhere to the following guidelines:

Prerequisites

Prerequisite 1) You will have already created a diagram.
Prerequisite 2) You will have already added Objects and Links to your diagram.
Prerequisite 3) You will have already chosen the Export option from your File menu and chosen a  name and  location for your SVG Export.  This initiates the wizard.

Generation
Generation 1) You are greeted by a welcome message.

(Figure 1)

Generation 2)  The SVG Export Wizard allows you to add object property viewers and boxes to your SVG Export.  This screen lets you choose what general size you would like your Export to use when adding such features.  Also, you may set a customized scaling percentage for the Export to be initialized to.(See Figure 2)

(Figure 2)

Generation 3) Process Diagram layer settings are carried over into your SVG Export.  This screen lets you decide how links should be displayed based on a user's current layer settings. (See Figure 3)

(Figure 3)

Generation 4) As mentioned above, SVG Exports can be customized to contain a Property box (which shows custom node properties which you can choose to fit your needs), and Outlink/Inlink boxes (which are used to display the relationship between objects in a diagram).  This screen allows you to choose which (if any) of these options you wish to enable. (See Figure 4)

(Figure 4)

Generation 5) If you've chosen to add a Property Box to your Export, you will then be shown this screen, which allows you to add any number of preset and custom properties from your Process Diagram to the SVG Property Box. (See Figure 5)

(Figure 5)

Generation 6) For each optional Box that you've chosen to add to your Export (if you've decided not to have any, you may skip this step), you will be shown a screen like this one, which allows you to choose the color scheme for that Box. (See Figure 6)

(Figure 6)

Generation 7) This screen allows you to set your layer settings.  Here you may choose which settings to set as default, and also helps you determine whether you wish to allow users to manipulate these layer settings. (See Figure 7)

(Figure 7)

Generation 8) You're finished!  This screen allows you to generate your SVG Export by clicking OK.  (See Figure 8)

(Figure 8)

.topic 821
A Super Presentation is a basically a way to group several individual Presentations into one composite Super Presentation.  Creating and generating a Super Presentation is simple but does require the user to follow some basic guidelines. The Steps are basically broken down into the categories of Prerequisites, Creation and Generation

Prerequisites

Prerequisite 1) You will have already created a new repository.
Prerequisite 2) You will have already created at least one new diagram within that repository.
Prerequisite 3) You will have already added Objects and Links to your diagram(s).
Prerequisite 4) You will have already added all of the presentations to the diagram(s) that you want to include in your super presentation.
Prerequisite 5) You will have already saved each individual diagram within your repository in order to have the most current version of your Presentation(s) available to the Super Presentation wizard.

Creation
Creation 1) Add a new Super Presentation to the repository by pressing the 'New Super Presentation' button  located on the Process Repository Editor.

Generation
Generation 1) Double click on the Super Presentation you want to generate (this is the Super Presentation Icon you created in the Process Repository Editor. You will be greeted by a message introducing you to the Super Presentation Wizard.

(Figure 1)

Generation 2) The Super Presentation's Title, Description, and their respective alignments are set next.  (See Figure 2)

(Figure 2)

Generation 3) A logo is added next.  This screen allows you to choose a logo, customize its size, and a preview box facilitates a view of your logo using your current options.  If you do not wish to choose a logo, please leave the logo path field empty. (See Figure 3)

(Figure 3)

Generation 4) The Super Presentation's color scheme and Font are chosen next.  Since each individual Presentation may have its own color and font settings, you have the option to keep these settings for each Presentation, or to override all individual settings by using only the Super Presentation's color and font options. (See Figure 4)

(Figure 4)

Generation 5) To choose which Presentations you want to include in your Super Presentation, this screen provides a tree view of your repository.  Presentations are symbolized using their own unique icon, and you can select them by placing a check mark in the box next to each one.  There is a preview box available if you wish to click on a diagram (or one of its Presentations) and see a mini-screen shot of that diagram.  This may aid you in determining which Presentations you wish to add. (See Figure 5)

(Figure 5)

Generation 6) Your Super Presentation's generation location is set on this screen (See Figure 6)

(Figure 6)

Generation 7) If you wish to add SVG (Scalable Vector Graphics) exports of any of your diagrams to the Super Presentation, you may do so by selecting the diagrams from this screen.  For more details regarding the SVG Export Wizard, please read the following section.  (See Figure 7)

(Figure 7)

Generation 8) You're finished!  This screen allows you to generate your Super Presentation or just save it for future use (Note:  If you choose to generate your Super Presentation, it's automatically saved for you as well). (See Figure 8)

(Figure 8)

Note that if SVG images where indicated to be included in the Super Presentation then the SVG export configuration will be shown so that global SVG export properties may be specified.

.topic 1740
Process Revolution is a fairly free form Diagramming tool. What this means is that very few restrictions are placed on a diagram. As various plugins become available these plugins might place restrictions on a specific Process Diagram type. This section describes some basic concepts and rules of the application

.topic 1750
A Process Diagram is simple to create yet allows users advanced features as competency grows with the product.  The basics of all Diagrams include a Objects which may be linked.  These Objects and Links may range from simple Block Diagrams, Flow Charts, Flow Diagrams, Logic Diagrams to more advanced Diagrams. Process Revolution Expands on these basic diagrams to include extended functionality and features. All Process Revolution Diagrams include the following:

Process Diagram Components
Canvas
Layers
Links
Objects
Styles
Views

Advanced Process Diagram Concepts
Categories
Custom Properties
ObjectTypes
Presentations
Reports
Snapshots

.topic 1760
The Canvas is the background of a Diagram. Think of the Canvas as the drawing surface on top of which Diagrams are placed. The canvas is where all objects and Links are placed (see Figure 1).  Note that the ZOrder of visible parts of a Process Diagram are as follows the following items should be known about the Canvas:

1) The Canvas is the Bottom Most visible part of a Diagram.  It may have a user specified color.  Also note that you can Zoom in and scroll the canvas so as to change the viewed portion of the canvas.

2) The Canvas can have a Grid (Invisible, dot, dash or Line)

3) The Grid is the next visible part of a Diagram.  Note that the Grid may be visible or hidden at the users discretion.

4) Objects and Links are placed next on a Diagram.  Note that Object and Link ZOrder is changeable at the users discretion.

The Process Diagram zoom level can be changed allowing Process Diagram to fit to the Process Diagram Workspace or perhaps just a portion thereof.
When the Zoom Level Changes the Objects and Grid will scale accordingly.

(Figure 1)

.topic 1820
Layers allow for more flexibility in creating and displaying Diagrams. The way in which layers are used is at the User discretion. Several facts should be understood of Layers:

Every Process Diagram has at least one Layer. It is preset and may not be deleted. It is named the '[Master]' Layer
Every Object Placed on a Process Diagram is associated with a Layer
Layers can be turned on or off by adjusting Layer properties of a View

.topic 1800
Links are drawn on the canvas connection Objects. These Links take the form of a Line, Multi Part Line or Curve (Bezier or Cubic Spline). All Links have properties that are broken down into the following categories:

Appearance
Behaviour
Cost
Font
Position
Text

Links should be thought of as items in a Process Diagram that show how granular information is connected or linked and in what direction an Objects occur in a logical flow. A link cannot exist without an object being connected to each end. A link is automatically deleted if the origination or destination point object is deleted .

.topic 1780
Objects are drawn on the canvas. These objects take on the form of a shape. All Objects have properties that are broken down into the following categories:

Appearance
Behaviour
Cost
Font
Linking
Logic
Position
Text

Objects should be thought items in a Process Diagram that hold granular information about the Diagram.  Objects can be associated with other Objects by connecting them with Links.

.topic 1860
Styles allow grouping of Canvas, Object and Link properties to be recalled by merely selecting that style.

.topic 1840
Views are a feature that extend a great amount of functionality to the Diagram. The View ties several other items together including Styles,  Layers, Zoom Levels, Process Diagram Scrolled area. Several facts should be understood of Layers:

Every Process Diagram has at least one View. It is preset and may not be deleted. It is named the '[Master]' View.
Every View has a default Layer. The default Layer is the layer that is associated with new Objects
Every View can customize which Layers are locked or Unlocked
Objects on locked layers can not be manipulated in any way
Every View can customize which Layers are visible and invisible.
Objects on invisible Layers become both Locked and Invisible while in that view
If a Layer is made the default layer it must be visible an Unlocked
Every View has a Zoom Value. This is set whenever the user created a View or updates it
Every View has Scrolling Values. What ever that last position of the upper left hand point of a Process Diagram will be retained when a View is set.

.topic 1900
Categories present a method by which the Process Diagram can categorize 'Typed' or 'Non Typed' Objects. Categories can offer higher levels of granularity by allowing Categories to belong to Categories. One common example of using Categories is to Break town Taxonimies of Investment Devices in a Portfolio (See figure 2) or perhaps modes of transportation(See figure 2). Association of Objects to a specific Category is a powerful tool in doing Diagrams.

Categories are created instantly by pressing the Category  button.

.topic 1920
Custom Properties allow for customization of data associated with Process Diagram Objects. This could be Telephone Numbers, Floor Numbers, Object Identifications or just about anything the Process Creator can think of.  Properties can be specified to be of a specific data type, selectable from a list or selectable from a list with aliased data. For more information on creating Custom Properties see the Property Configuration Window.

.topic 1980
Objects may be identified as a specific type of Object. These Typed Objects known as ObjectTypes are assigned to a Category. ObjectTypes are the most specific way of categorizing Objects. While it might be acceptable to identify an Object using only categories often this higher level of specification is needed. Form morpe information on Object Types see the Object Type Configuration Window.

.topic 1960
Presentations allow for the creation of mini Web sites. Future releases will include the generation of Printed, RTF and PDF presentations. Presentations are created thru the Presentation Wizard. See Creating/Generating Presentations for step by step instructions.

.topic 1940
Object Reports allow for the presentation of Object Properties in table format. Reports are defined thru the Object Report Wizard.

.topic 2000
Snapshots allow the Process Creator to group objects into recallable collections. These Snapshots can later be quickly selected and modified or be used to generate images. Snapshots are a core component of Presentations.

.topic 2040
Books are top level storage areas for Diagrams or Process Folders

.topic 241
A Super Presentation is a basically a way to group several individual Presentations into one composite Super Presentation.  Creating and generating a Super Presentation is simple but does require the user to follow some basic guidelines. The Steps are basically broken down into the categories of Prerequisites, Creation and Generation

Prerequisites

Prerequisite 1) You will have already created a new repository.
Prerequisite 2) You will have already created at least one new Process Diagram within that repository.
Prerequisite 3) You will have already added Objects and Links to your diagram(s).
Prerequisite 4) You will have already added all of the presentations to the diagram(s) that you want to include in your super presentation.
Prerequisite 5) You will have already saved each individual Process Diagram within your repository in order to have the most current version of your Presentation(s) available to the Super Presentation wizard.

Creation
Creation 1) Add a new Super Presentation to the repository by pressing the 'New Super Presentation' button located on the Process Repository Editor.

(Figure 1)

Generation
Generation 1) Double click on the Super Presentation you want to generate (this is the Super Presentation Icon you created in the Process Repository Editor. You will be greeted by a message introducing you to the Super Presentation Wizard.

Generation 2) The Super Presentation's Title, Description, and their respective alignments are set next.  (See Figure 2)

(Figure 2)

Generation 3) A logo is added next.  This screen allows you to choose a logo, customize its size, and a preview box facilitates a view of your logo using your current options.  If you do not wish to choose a logo, please leave the logo path field empty. (See Figure 3)

(Figure 3)

Generation 4) The Super Presentation's color scheme and Font are chosen next.  Since each individual Presentation may have its own color and font settings, you have the option to keep these settings for each Presentation, or to override all individual settings by using only the Super Presentation's color and font options. (See Figure 4)

(Figure 4)

Generation 5) To choose which Presentations you want to include in your Super Presentation, this screen provides a tree view of your repository.  Presentations are symbolized using their own unique icon, and you can select them by placing a check mark in the box next to each one.  There is a preview box available if you wish to click on a Process Diagram(or one of its Presentations) and see a mini-screen shot of that diagram.  This may aid you in determining which Presentations you wish to add. (See Figure 5)

(Figure 5)

Generation 6) Your Super Presentation's generation location is set on this screen (See Figure 6)

(Figure 6)

Generation 7) If you wish to add SVG (Scalable Vector Graphics) exports of any of your diagrams to the Super Presentation, you may do so by selecting the diagrams from this screen.  For more details regarding the SVG Export Wizard, please read the following section.  (See Figure 7)

(Figure 7)

Generation 8) You're finished!  This screen allows you to generate your Super Presentation or just save it for future use (Note:  If you choose to generate your Super Presentation, it's automatically saved for you as well). (See Figure 8)

(Figure 8)

.topic 2060
Process Folders allow for further levels of granularity when storing Diagrams. Process Folders can reside in Books or Other Process Folders.

.topic 2080
Diagrams Can be linked to other Diagrams in a Process Repository. This allows for Sub Processes to be defined. Linkages can occur to Diagrams within the same folder or other folders and books.

.topic 2100
A Super Presentation is a composite of other previously created presentations within a single repository.  A Super Presentation has an added benefit of allowing SVG images to be included as well. See Creating Super Presentations for step by step instructions.

.topic 861
There are many types of diagrams used to represent varied types of information.  Many diagram types are commonly used while others are very specific and used only rarely.  New types seem top be developed at a whim and purported to be the 'New' standard in representation of ideas, flows, processes etc.  The type of diagram you can create is limited only by your imagination. several useful types of diagrams commonly in use includes the following:

Block Diagram
Cause and Effect Diagram
Flow Chart
Functional Flow Chart
Process Diagram
Global Process Diagram
Organizational Diagram

These diagrams share common elements. Objects (also known as Vertices or Nodes) and Links (also known as Edges or Arcs). Objects can be represented by different shapes that allow for the conveyance of actions or physical items.

.topic 1001
When doing diagrams it is best to stick to the following rules:

1) Use the least amount of unique symbols in a diagram as possible.
2) Use standardized symbols as defined by ANSI or other organizations our company/client uses
3) When doing Flow/Process charting it is no time to prove technical prowess with rarely used symbols.
4) Fancy or custom symbols are best left to other types of charting - not business idea conveyance charting (Network layouts, UML and similar charting is a time when using alternative symbols are fine)
5) Your diagrams should be highly readable and using the minimal amount of objects to completely document the type of diagram you  are doing

In keeping with the above points below is a listing of commonly used diagramming symbols:

.topic 881
A Block Diagram (see figure 1) or Block Flow Diagram is a commonly used type of flow chart. This type of diagram provides a simplified view of a more complex diagram or process.  This diagram should allow for high level overviews, overviews of several diagrams with each diagram represented by a single block or simply as a starting point prior to creating a complex process diagram.

(Figure 1)

.topic 961
A flow chart (see figure 1) can be thought of as the next generation in diagramming past Block Diagrams. A Flow chart will have more descriptive and detailed steps required to complete a process. The Shapes used in the diagram will also be more varied and more specific that the simple blocks found in a Block Diagram.

(Figure 1)

.topic 941
A Global Process Diagram (see figure 1)  is used for the specific purpose of describing the high level components of administrative business process.

(Figure 1)

.topic 921
An Organizational Diagram is a type of Tree Diagram that is usually represented with the highest level person in an organization at the top of the diagram with direct reports one level down.  This is the most common type of diagram that depicts a companies or departments employees.

(Figure 1)

.topic 41
Graph theory is a broad subject.  Graph theory, as it pertains to Process Revolution, is :

The drawing of graphs (Diagrams, Flow Charts etc), Edges (also known as Arcs, Links, Connections etc), vertices (also known as Nodes or Objects)

The layout of these Edges and Vertices layouts

Alternative layouts of these Edges and Vertices

Navigation between these Edges and Vertices

The identification of categories of graphs based on characteristics of a specific graph (Trees, Planar etc)

Silicon Mindset intends to add significantly to this section on a regular basis.  It is also the intent of Silicon Mindset to present brief papers, by experts in the field of Graph Theory, on our web site and within this help file with future revisions.

.topic 341
A parent of an Object in a tree, the parent of the parent, etc.

.topic 381
An Object in a tree referred to by a parent Object. Every Object, except the root, is the child of some parent.

.topic 301
An graph (or Diagram) with an Link between every pair of Objects.

.topic 321
A child of an Object in a tree, any of the children of the children, etc.

.topic 141
A Directed graph is a type of graph where the Links are directional.  Many graphing / flow charting applications use links more as symbols with no concern for link direction.  Process Revolution utilizes Directed graphs which allow us to specify the direction that is navigated between Objects linked together.

.topic 481
A path through a Diagram(Graph) which starts and ends at the same Object and includes every Link exactly once.

.topic 281
A collection of one or more trees. More formally an acyclic graph.

.topic 161
A set of items connected by edges. Each item is called a vertex. Formally, a graph is a set of vertices and a relation between vertices, adjacency. Since Process Revolution uses documents that contain additional information, relationships and labels.  Graphs are an integral part of a Silicon Mindset Diagram, but it is just that, a part.  Silicon Mindset Diagrams contain extended information such as Layers, Views, Snapshots, Categories, Object Types. Custom Properties  etc.

Note that many applications use various naming conventions for parts of a graph.
1) Common alternatives for the term edge is Links. Process Revolution uses the term Link as well.
2) Common alternatives for the term vertex is Node. Process Revolution uses the term Object to denote a term more readily understood by the majority of users..

.topic 261
A path through a Process Diagram which starts and ends at the same Object and includes every other Object exactly once.

.topic 421
An Object of a tree which has one or more child Objects, equivalently, one which is not a leaf.

.topic 441
A terminal or "bottom" Object of a tree, i.e., an Object with no child.

.topic 361
Of an Object: the tree Object conceptually above or closer to the root than the Object and which has a link to the Object. See the figure at tree.

.topic 61
Planar Diagrams are any type of Process Diagram which may be drawn without having any links that cross over other links.  This does not mean that a Process Diagram has to be drawn without link cross over's - just that it could be drawn without link cross over's.

It is simple to visually confirm that the Process Diagram in figure 1 is Planar.  We can absolutely be assured of this since no links cross over each other

(Figure 1)

The Process Diagram from Figure 1 has been changed to have an additional link between Object 'D' and Object 'B'. The new Process Diagram is viewed in figure 2 and does not appear to be Planar.  This new diagram, in fact, is not Planar and attempting to do the Planar Layout method confirms this by returning an error message to the user that a Planar Layout method was attempted on a Graph that is not Planar

(Figure 1)

.topic 461
The tree which is a child of an Object.
Note: The name emphasizes that everything which is a descendant of a tree Object is a tree, too, and is a subset of the larger tree.

.topic 401
A Process Diagram accessed beginning at the root Object. Each Object is either a leaf or an interior Object. An interior Object has one or more child Objects and is called the parent of its child Objects. More formally, a connected forest. Contrary to a physical tree, the root is usually depicted at the top of the structure, and the leaves are depicted at the bottom

.topic 181
This section will attempt to answer the most often asked questions. Many answers to these question can be found in other sections of this help document and information will be provided from these other sections when existent.

How many pages can a Process Diagram be?
How much system resources are consumed when running Process Revolution?
How large can a Process Diagram be?
How many Objects and Links can exist in a Diagram?
What Features are planned for future releases to Process Revolution?
Can I Upgrade my current Licensed Version of Process Revolution to future versions?
Why can't I Export GIF files or import GIF files for use in Process Diagram Objects or Process Diagram backgrounds?
Does product recommendations or complaints get considered?
What are the Events used for in Diagrams?
I notice I can Open Previous Versions of Process Revolution but I can't save it into these formats. Is this a bug?
I would like to get a custom version of Process Revolution created for integration with my product is this possible?

How many pages can a Process Diagram be? (Top)
There is no real limitation on the number of pages in a diagram.  The number of pages that a Process Diagram will produce is determined by the Zoom settings, page margin sizes, page orientation and Actual Process Diagram(Non Zoomed) size.  A very large Process Diagram that zoomed into at a high Zoom factor will produce a great number of pages.

How much system resources are consumed when running Process Revolution? (Top)
Process Revolution uses approximately 17% of the GDI and System memory.  Silicon Mindset is continuing to strive to shrink the GDI (Graphics Memory) requirements and System Memory requirements.

How large can a Process Diagram be? (Top)
If your Process Diagram is too big, you may receive a "outside allowed area" error message. The drawing limits depend on the operating system:
Under Windows 95 or Windows 98, coordinates are restricted to 0 to 32767 pixels (*). This is in fact an operating system limit: under Windows 95 or 98, coordinate values are restricted to -32 768 to 32 767. Although coordinates values appear to be 32-bit values, only the lower 16 bits are used in W95 or W98.

How many Objects and Links can exist in a Diagram? (Top)
There is no maximum for the number of nodes or links. You can create a Process Diagram with 0 nodes and links if you need (a powerful processor is necessary in this case).

What Features are planned for future releases to Process Revolution? (Top)
Planned features will be announced on our web site on a regular basis.

Can I Upgrade my current Licensed Version of Process Revolution to future versions? (Top)
Yes.
Example 1) The Full Price paid for your current version can be applied to a more advanced copy of the current version. So if you purchased Version 3(SE) for X dollars. and you want to upgrade to Version 3(Pro) which sells for Y dollars.  You will pay Y-X dollars.

Example 2) You purchased Version 3(SE) for X Dollars. You want to Upgrade to Version 4(SE) for Y Dollars.  You will pay Y-(X/2) dollars.

Example 3) You purchased Version 3(SE) for X Dollars.  You want to Upgrade to Version 4(Pro) for Y dollars. As in example 2 you will pay Y-(X/2) dollars.

Why can't I Export GIF files or import GIF files for use in Process Diagram Objects or  Diagram backgrounds? (Top)
Gif files are covered by a patent owned by Unisys Corporation.  Unisys currently requires prohibitive fees to license this file technology forcing Silicon Mindset (any very many other firms) to not support the Gif File Format.

Does product recommendations or complaints get considered? (Top)
Every day someone in Silicon Mindset reads and relays complaints and suggestions to all development and planning groups.

What are the Events used for in Diagrams? (Top)
Currently Events are used in custom version and are planned for inclusion in version 4.

I notice I can Open Previous Versions of Process Revolution but I can't save it into these formats. Is this a bug? (Top)
Version 1 and 2 supported a non open format for files.  Starting with version 3 Silicon Mindset Supports XML as its native format or Compressed XML (Using compression algorithms). Starting with Version 3 (Process Revolution 2002) all future versions will be forward and backward compatible

I would like to get a custom version of Process Revolution created for integration with my product is this possible? (Top)
Yes. All emails to procrev.custom@siliconmindset.com